geneweb (6.08dfsg-1) unstable; urgency=low

  * New upstream release
  * Update Standards to 3.9.6
  * Use machine-readable copyright file
  * No longer remove tools/Makefile.inc in the clean target as this file
    is provided in upstream tarball

 -- Christian Perrier <bubulle@debian.org>  Sat, 11 Oct 2014 17:44:24 +0200

geneweb (6.07dfsg-1) unstable; urgency=low

  * Drop Javascript files provided in upstream tarball without any
    modifiable source. Upstream tarball repacked as 6.07dfsg without
    these files. Closes: #744704
  * Upload to unstable
  * Switch to git: update VCS-* accordingly
  * Drop outdated debian/watch file
  * Add lintian override file for "untranslatable-debconf-templates"
  * Bump Standards to 3.9.5 (checked)
  * Do nothing in dh_auto_clean so that the package builds fine with
    git-buildpackage despite the weird things we're doing with
    tools/Makefile

 -- Christian Perrier <bubulle@debian.org>  Thu, 17 Apr 2014 07:22:13 +0200

geneweb (6.07-2) experimental; urgency=low

  * Use utf8.ml from upstream SVN to avoid build failures on
    some architectures.

 -- Christian Perrier <bubulle@debian.org>  Fri, 12 Apr 2013 10:42:51 +0200

geneweb (6.07-1) experimental; urgency=low

  * New upstream release
  * Add a patch to compile the gui in Makefile as it was
    apparetly dropped in this release

 -- Christian Perrier <bubulle@debian.org>  Thu, 21 Mar 2013 19:21:50 +0100

geneweb (6.06-1) experimental; urgency=low

  * New upstream version
  * Add liblablgtk2-ocaml-dev to Build-Depends to be able
    to build the newly added GUI
  * Add update_nldb to binaries. Closes: #695511
  * Add gwc2 binary and corresponding manpage. Closes: #664264
  * Add new geneweb-gui binary in a new binary package
  * Add lintian overrides for missing hardening that have no meaning
    for Ocaml executables
  * Fix gwc2.1 syntax (bug reported upstream)

 -- Christian Perrier <bubulle@debian.org>  Sun, 16 Dec 2012 19:14:56 +0100

geneweb (6.05.1-1) unstable; urgency=low

  * New upstream "release" (indeed upstream fixed the 6.05 tarball
    and kept it named 6.05)

 -- Christian Perrier <bubulle@debian.org>  Thu, 07 Jun 2012 08:59:37 +0200

geneweb (6.05-1) unstable; urgency=low

  * New upstream version
  * Correctly create /var/run/gwtp when running the CGI script
  * Compress .deb files and upstream tarball with xz
  * Use "set -e" in config scripts instead of "-e" argument to shebang

 -- Christian Perrier <bubulle@debian.org>  Mon, 04 Jun 2012 21:12:16 +0200

geneweb (6.04-2) unstable; urgency=low

  * Add README.docs-6.x to mention the lack of included documentation
    as of 6.x versions. Closes: #661625

 -- Christian Perrier <bubulle@debian.org>  Sat, 17 Mar 2012 09:35:14 +0100

geneweb (6.04-1) unstable; urgency=low

  * New upstream release
  * Fix FTBFS with Camlp5 6.05. Closes: #663666
  * Drop no longer needed 015_fix-amd64.patch
  * Update Standards to 3.9.3 (checked)

 -- Christian Perrier <bubulle@debian.org>  Thu, 15 Mar 2012 22:34:41 +0100

geneweb (6.03-1) unstable; urgency=low

  * New upstream version. Closes: #651874
  * Change default for running gwsetup at boot
    Closes: #500165

 -- Christian Perrier <bubulle@debian.org>  Sun, 18 Dec 2011 20:22:30 +0100

geneweb (6.00-2) unstable; urgency=low

  * No longer Suggests: menu

 -- Christian Perrier <bubulle@debian.org>  Sun, 30 Oct 2011 16:16:05 +0100

geneweb (6.00-1) unstable; urgency=low

  * New upstream version
  * Bump Standards to 3.9.2 (checked)
  * Fix grammar error in package description ("allows keeping")
  * Drop installation of CHANGES that's already installed as "changelog"

 -- Christian Perrier <bubulle@debian.org>  Mon, 17 Oct 2011 21:17:21 +0200

geneweb (5.02-1) unstable; urgency=low

  * New upstream release. Closes: #611987

 -- Christian Perrier <bubulle@debian.org>  Sat, 05 Feb 2011 15:53:58 +0100

geneweb (5.02~cvs20091031-8) unstable; urgency=low

  * Don't strip Ocaml bytecode executables on arches where there
    is no native compiler. Closes: #603580

 -- Christian Perrier <bubulle@debian.org>  Thu, 13 Jan 2011 20:09:22 +0100

geneweb (5.02~cvs20091031-7) unstable; urgency=low

  * Upgrade to debhelper v7.

 -- Christian Perrier <bubulle@debian.org>  Sun, 18 Jul 2010 18:43:13 +0200

geneweb (5.02~cvs20091031-6) unstable; urgency=low

  * Drop extra debian/geneweb.init.old file
  * Add $remote_fs to Required-Stop in geneweb and gwsetup init scripts
  * Bump Standards to 3.9.0 (checked, no change)
  * Force 4-byte, big endian in input_binary_int/output_binary_int
    Closes: #557553 
  * Use dh_lintian to install lintian overrides

 -- Christian Perrier <bubulle@debian.org>  Sat, 17 Jul 2010 19:43:20 +0200

geneweb (5.02~cvs20091031-5) unstable; urgency=low

  * Drop the use of a wrapper whose only purpose was wroking with
    a proper umask. Use the --umask option of s-s-d instead

 -- Christian Perrier <bubulle@debian.org>  Sat, 30 Jan 2010 15:14:36 +0100

geneweb (5.02~cvs20091031-4) unstable; urgency=low

  * Better deal with databases containing whitespaces in postinst
    script. Thanks to Christian Gennerat for reporting this privately.

 -- Christian Perrier <bubulle@debian.org>  Sun, 20 Dec 2009 17:31:28 +0100

geneweb (5.02~cvs20091031-3) unstable; urgency=low

  * Proper quoting of variables in postinst script to prevent
    failures when file or directory names contain spaces.

 -- Christian Perrier <bubulle@debian.org>  Fri, 04 Dec 2009 20:36:07 +0100

geneweb (5.02~cvs20091031-2) unstable; urgency=low

  * Add README.source (copied from samba)
  * Bump debhelper compatibility to 7
  * As a consequence, replace "dh_clean -k" by dh_prep
  * Use 3.0 (quilt) source format
  * Add Vcs-Browser: and Vcs-svn: to debian/control

 -- Christian Perrier <bubulle@debian.org>  Sun, 08 Nov 2009 17:58:14 +0100

geneweb (5.02~cvs20091031-1) unstable; urgency=low

  * Release CVS snapshot as upstream didn't release for a while
  * Add 0 and 6 runlevels to Should-Stop in init scripts
  * Update Standards-Version to 3.8.3 (checked)

 -- Christian Perrier <bubulle@debian.org>  Sat, 31 Oct 2009 19:02:25 +0100

geneweb (5.01-9) unstable; urgency=low

  * First upload for squeeze
  * Upgrade Standards to 3.8.1: /var/run/gwtp has been dealt with
    (see below)
  * debian/patches/014_no-warn-error: disable -warn-error to fix
    a build failure. Closes: #521674
    Thanks to Stéphane Glondu for the patch
  * Lintian fixes:
    - geneweb.postinst: no longer ignore errors (set -e)
    - gwtp.postinst: no longer ignore errors (set -e)
    - gwtp.prerm: no longer ignore errors (set -e)
    - gwsetup.postinst: no longer ignore errors (set -e)
    - control: add ${misc:Depends} to gwtp dependencies
    - gwtp.dirs, add-on/gwtp/cgi/gwtp.cgi: /var/run/gwtp is no
      longer provided in the package but created dynamically by the CGI
      wrapper
  * No longer use iso_639.tab for languages' names. Use
    isoquery output instead. Thanks to Tobias Quatamer for the patch
    Closes: #523161
  * Drop upgrade code from a pre-lenny version in gwtp.prerm. That empties
    that script which is thus removed.

 -- Christian Perrier <bubulle@debian.org>  Sun, 12 Apr 2009 11:57:21 +0200

geneweb (5.01-8) unstable; urgency=low

  * Add "-bindir" to gwsetup's invocation in the wrapper script.
    Thanks to Andreas Beckmann for the proposed patch.
    Closes: #500166
  * Remove stupid debugging line in gwtp's CGI script
    Closes: #503849
  * Update Standards to 3.8.0

 -- Christian Perrier <bubulle@debian.org>  Thu, 27 Nov 2008 10:42:56 +0100

geneweb (5.01-7) unstable; urgency=low

  * Unfuzzy Portuguese and Tamil translations that were fuzzy for no
    reason, on the default language entry
  * Updated to Standards: 3.8.0 (checked)
  * [Lintian] Add copy right information to debian/copyright
  * [Lintian] Empty directories removed: usr/lib/menu, usr/share/doc-base

 -- Christian Perrier <bubulle@debian.org>  Sun, 22 Jun 2008 19:29:45 +0200

geneweb (5.01-6) unstable; urgency=low

  * Fix watch file as upstream now uses "tgz" as extension

 -- Christian Perrier <bubulle@debian.org>  Mon, 18 Feb 2008 19:40:03 +0100

geneweb (5.01-5) unstable; urgency=medium

  * debian/get-iso-codes:
    - Use "--no-run-if-empty" on xargs to avoid rm failing in some cases.
      Thanks to the build daemon from hell by Lucas Nussbaum for
      spotting this. Closes: #465629
  * Fix a typo in README.Debian (s/member os/member of)

 -- Christian Perrier <bubulle@debian.org>  Wed, 13 Feb 2008 20:53:47 +0100

geneweb (5.01-4) unstable; urgency=low

  * debian/rules:
    - Install init scripts for all runlevels but 0 and 6 as
      stopping processes is already done by the default
      halt and shutdown sequences.
  * debian/geneweb.init:
    - Add (empty) Should-Start and Should-Stop lines
      as per http://wiki.debian.org/LSBInitScripts
    - Remove runlevels 0 and 6 from the Default-Stop entry.
      Stopping processes is already done by the default
      halt and shutdown sequences.
  * debian/gwsetup.init:
    - Add (empty) Should-Start and Should-Stop lines
      as per http://wiki.debian.org/LSBInitScripts
    - Remove runlevels 0 and 6 from the Default-Stop entry.
      Stopping processes is already done by the default
      halt and shutdown sequences.
  * debian/geneweb.templates.master:
    - Set default value for language to "English" and not "en"
      Closes: #459277

 -- Christian Perrier <bubulle@debian.org>  Sat, 05 Jan 2008 12:15:43 +0100

geneweb (5.01-3) unstable; urgency=low

  * debian/get-iso-codes:
    - Delete all 0 size .po files, as pkgstriptranslations in Ubuntu
      throws an error if such files don't contain anything.

 -- Christian Perrier <bubulle@debian.org>  Fri, 19 Oct 2007 20:22:48 +0200

geneweb (5.01-2) unstable; urgency=low

  * Add a "Homepage:" field to debian/control
  * Minor rewrites in debian/control
  * Correct the postrotate command line in /etc/logrotate.d/geneweb.
    Thanks to Arne Nordmark for reporting. Closes: #443233

 -- Christian Perrier <bubulle@debian.org>  Sat, 22 Sep 2007 10:44:17 +0200

geneweb (5.01-1) unstable; urgency=low

  * New upstream release
  * This release fixes a FTBFS:
    Build-Depend on camlp5 as Geneweb does not build anymore with camlp4
    due to incompatible changes in camlp4 3.10.0
    Thanks to Michael Ablassmeier for reporting the original FTBFS
    which was due to a missing Build-Depends after ocaml source
    package split. Closes: #441508

 -- Christian Perrier <bubulle@debian.org>  Wed, 12 Sep 2007 22:35:42 +0200

geneweb (5.00-5) unstable; urgency=low

  * debian/patches/000_Makefile: set STRIP=true in Makefile(s)
    to avoid forced stripping of binaries. Closes: #436970
  * debian/rules: as upstream provides only Makefile but *no*
    tools/Makefile.inc, only run "make clean" when both these files
    exist
  * Change menu section to Applications/Data Management to fit the
    new menu layout. Update versioned dependency on menu accordingly.

 -- Christian Perrier <bubulle@debian.org>  Sat, 11 Aug 2007 08:15:17 +0200

geneweb (5.00-4) unstable; urgency=low

  * Remove useless test in get-iso-codes
  * debian/patches/013_cleaner-Makefile: Add check_base to
    src/Makefile to really clean out and allow building twice in a row
  * Fix the "make clean" line to not ignore errors from a missing Makefile
    Thanks lintian.

 -- Christian Perrier <bubulle@debian.org>  Fri, 27 Jul 2007 17:49:30 +0200

geneweb (5.00-3) unstable; urgency=low

  * Debian packaging:
    - bring back fixes to geneweb.postrm that were accidentally removed in
      5.00-2

 -- Christian Perrier <bubulle@debian.org>  Sun, 20 May 2007 11:14:59 +0200

geneweb (5.00-2) unstable; urgency=low

  * First upload to unstable
  * Debian packaging:
    - Added languages to debconf templates, to fit the list of
      languages in 5.00: Breton, Slovenian
    - Cleaned out debian/rules and removed old commented cruft
    - Cleaned out geneweb.prerm from old unused code which contained ugly
      "read" calls spotted by lintian
    - Removed useless debian/geneweb.init.old
    - Removed useless debian/changelog.old
    - Set debhelper compatibility level to 5

 -- Christian Perrier <bubulle@debian.org>  Sun, 20 May 2007 08:38:12 +0200

geneweb (5.00-1) experimental; urgency=low

  * New upstream release
  * Add debconf-updatepo to the clean target of debian/rules

 -- Christian Perrier <bubulle@debian.org>  Wed, 28 Feb 2007 21:04:18 +0100

geneweb (4.10-26) unstable; urgency=low

  * Debconf translations:
    - Tamil added. Closes: #412100

 -- Christian Perrier <bubulle@debian.org>  Fri, 23 Feb 2007 18:01:03 +0100

geneweb (4.10-25) unstable; urgency=low

  * Move debconf dependency to Pre-Depends because we use debconf in
    the postrm script
  * Add Short-Description to LSB headers for init scripts

 -- Christian Perrier <bubulle@debian.org>  Thu, 16 Nov 2006 05:42:19 +0100

geneweb (4.10-24) unstable; urgency=low

  * Improve LSB header in init script after discussions on #pkg-sysvinit IRC
    channel

 -- Christian Perrier <bubulle@debian.org>  Sat, 23 Sep 2006 12:50:04 +0200

geneweb (4.10-23) unstable; urgency=low

  * Debconf translation updates:
    - Greek (Emmanuel Galatoulas)

 -- Christian Perrier <bubulle@debian.org>  Mon,  4 Sep 2006 19:35:23 +0200

geneweb (4.10-22) unstable; urgency=low

  * debian/control
    - Updated to Standards: 3.7.2.0 (checked, no change needed: we were
      already compliant)
  * debian/geneweb.templates.master, debian/gwsetup.templates
    - No more translated Default field, which is useless
  * Debconf translation updates:
    - Brazilian Portuguese (obrigado, Felipe Augusto van de Wiel)

 -- Christian Perrier <bubulle@debian.org>  Wed, 16 Aug 2006 21:59:11 -0500

geneweb (4.10-21) unstable; urgency=low

  * No mot use ">/dev/null 2>&1" in maintainer and build scripts
    Thanks to Lars Wirzenius campaign promoting piuparts
  * Debconf translation updates:
    - Hebrew (toda, Lior Kaplan)
    - Arabic (chokrane, Ossama Khayat)
    - German proofread (Danke schön, Jens Seidel)
    - Polish (Bartosz Fenski)
    - Italian (grazie, Stefano Canepa)
  * New debconf translation:
    - Norwegian Bokmål (takk, Bjørn Steensrud). Closes: #355024
    - Hungarian (köszönöm, SZERVÁC Attila).
    - Vietnamese (cám Ön, Clytie).
    - Korean (kam sah hamnida, Sunjae Park). Closes: #355151
    - Russian (spassiba, Yuri Kozlov). Closes: #355412

 -- Christian Perrier <bubulle@debian.org>  Mon, 13 Mar 2006 07:15:05 +0100

geneweb (4.10-20) unstable; urgency=low

  * Remove gwtp log file on purge. Closes: #353183
  * Remove gwsetup log file on purge.

 -- Christian Perrier <bubulle@debian.org>  Sat, 18 Feb 2006 12:25:44 +0100

geneweb (4.10-19) unstable; urgency=low

  * debian/geneweb.logrotate:
    - use invoke-rc.d instead of hard-coded call to /etc/init.d/geneweb
      Closes: #353206

 -- Christian Perrier <bubulle@debian.org>  Fri, 17 Feb 2006 19:50:04 +0100

geneweb (4.10-18) unstable; urgency=low

  * Translation updates:
    - German updated
  * debian/rules:
    - Force executable permissions for the wrappers
      Closes: #348577

 -- Christian Perrier <bubulle@debian.org>  Wed, 18 Jan 2006 07:00:34 +0100

geneweb (4.10-17) unstable; urgency=low

  * debian/control, debian/rules, debian/gwsetup.*
    debian/add-on/gwsetup.wrapper:
      Create a binary package for gwsetup. This involves several hacks in
      setup.ml, attempting to improve gwsetup behaviour vs the FHS.
      See 010_gwsetup-fhs for these hacks
  * debian/NEWS.Debian:
    - File added
  * Translation updates:
    - French updated
    - Swedish updated
    - Portuguese updated
    - Spanish updated
    - Basque updated
    - Czech updated
    - Finnish updated
    - Danish updated
    - Dutch updated
    - Catalan updated
    - German updated
    - Japanese updated. Closes: #341185

 -- Christian Perrier <bubulle@debian.org>  Sun,  4 Dec 2005 19:52:57 +0100

geneweb (4.10-16) unstable; urgency=low

  * debian/geneweb.init,debian/geneweb.postinst:
    - Correct reference to /usr/share/doc/geneweb instead of
      /usr/share/doc/geneweb/doc. Closes: #338514,#336360
  * Debconf translations:
    - Swedish added. Closes: #338521

 -- Christian Perrier <bubulle@debian.org>  Fri, 11 Nov 2005 12:04:29 +0100

geneweb (4.10-15) unstable; urgency=low

  * Rebuild with ocaml 3.09
  * debian/patches/009_compile_with_ocaml-3.09:
    - Remove "--warn-error A" which leads to compilation failures, on Daniel's
    advice
    - Also use old_style loc to compile with ocaml 3.09 without source changes

 -- Christian Perrier <bubulle@debian.org>  Tue,  8 Nov 2005 18:33:25 +0100

geneweb (4.10-14) unstable; urgency=low

  * Use the correct variable DEB_HOST_ARCH. Thanks to Julien Cristau for
    noticing

 -- Christian Perrier <bubulle@debian.org>  Tue, 25 Oct 2005 18:13:25 +0200

geneweb (4.10-13) unstable; urgency=low

  * Add LSB header to the init script. Thanks to Petter Reinholdtsen
    for example and advice given on http://wiki.debian.org/?LSBInitScripts
  * Temporarily built with bytecode on alpha because of #335578

 -- Christian Perrier <bubulle@debian.org>  Sun, 23 Oct 2005 17:56:56 +0200

geneweb (4.10-12) unstable; urgency=low

  * switched init script to lsb-functions

 -- Christian Perrier <bubulle@debian.org>  Wed, 12 Oct 2005 09:34:39 +0200

geneweb (4.10-11) unstable; urgency=low

  * The "clean out the corners" release
  * All stuff dealing with pre-woody versions of the package is
    removed from the maintainers scripts
  * Minor cleaning/rewrite in maintainer scripts
  * geneweb.preinst:
    Removed because now useless
  * gwtp.postrm:
    Removed because now useless
  * debian/po2debconf, debian/intltool-merge:
    Removed. We now use the official versions as we don't really need
    the partial translation trick anymore as iso-codes is well
    translated.

 -- Christian Perrier <bubulle@debian.org>  Fri,  2 Sep 2005 18:44:12 +0200

geneweb (4.10-10) unstable; urgency=low

  * The "long time since last release" release
  * debian/rules
    - now use debhelper compatibility level 4
    - clean out the extra stuff for Potato and Woody compatibility
  * debian/control
    - Use ${misc:Depends} in Depends which will generate correct dependency
      on debconf to make joeyh happy
  * debian/compat
    - added
  * Switch to quilt for upstream patches handling
  * debian/patches/006_consang.1
    - added to really add the consang.1 man page
  * debian/patches/007_gwd.1
    - added to really add the gwd.1 man page
  * debian/patches/008_gwc.1
    - added to correct a syntax error in the gwc.1 man page
  * debian/control
    - Updated to Standards: 3.6.2.1 (checked)
  * debian/geneweb.doc-base
    - Removed. The documentation for that thing is really hard to understand
  * Debconf translations:
    - German corrected. Closes: #314099

 -- Christian Perrier <bubulle@debian.org>  Thu,  1 Sep 2005 22:16:02 +0200

geneweb (4.10-9) unstable; urgency=low

  * debian/geneweb.postinst,debian/geneweb.config:
    - Write the config file only in postinst stage and
      not config stage. Closes: #311753
    - Replace LANG by LNG in scripts to avoid mixing up with
      the system's localization settings
  * debian/geneweb.postrm:
    - Remove the configuration file when purging the package
  * debian/geneweb.init:
    - Use a nicer output during daemon start/stop phases
      (remove "done")
  * debian/control:
    - Remove extraneous capitals in binary packages descriptions
  * debian/gwd.1, debian/patches/006.gwd.1.dpatch, debian/geneweb.manpages
    - gwd man page added as a patch to upstream
  * debian/consang.1, debian/patches/007.consang.1.dpatch, debian/geneweb.manpages
    - consang man page added as a patch to upstream
  * Debconf translations:
    - Vietnamese added. Closes: #311771

 -- Christian Perrier <bubulle@debian.org>  Wed,  8 Jun 2005 08:25:48 +0200

geneweb (4.10-8) unstable; urgency=low

  * Rebuilt to remove CVS directories from the uploads
    and add the CAN-2005-0391 mention in the previous release
  * debian/control:
    - Move iso-codes and adduser to Pre-Depends
      Closes: #307153
  * debian/geneweb.default:
    - File removed as it is now created during the configuration process
      Closes: #307155
  * debian/geneweb.config:
    - Removed the hard-coded default mode for RUN_MODE in input_settings

 -- Christian Perrier <bubulle@debian.org>  Sun, 17 Apr 2005 19:45:13 +0200

geneweb (4.10-7) unstable; urgency=high

  * Urgency set to high because fixing RC bug
  * Comment the code which exports databases. It has never proven
    to be really useful and has potential nasty consequences
    CAN-2005-0391. Closes: #304405

 -- Christian Perrier <bubulle@debian.org>  Wed, 13 Apr 2005 07:28:16 +0200

geneweb (4.10-6) unstable; urgency=medium

  * priority set to medium because of RC bug fixed which only affects
    sid
  * debian/patches/005_memory-leak-301378:
    - Fix memory leak in secure.ml. Thanks to Daniel de Rauglaudre
      for the very quick fix. Closes: #301378

 -- Christian Perrier <bubulle@debian.org>  Fri, 25 Mar 2005 18:58:11 +0100

geneweb (4.10-5) unstable; urgency=low

  * Debconf translations:
    - Danish updated. Closes: #291547
    - Japanese added. Closes: #298543
    - Arabic added.  Thanks to Ossama Khayat
    - Basque added. Thanks to Piarres Beobide Egana
    - Greek added. Thanks to Socrates VAVILIS
  * Correct use of hints and longtitle in the menu file
    Thanks to Bill Allombert for pointing this. Closes: #296880
  * Remove double spaces in debconf templates.
    Thanks to Socrates VAVILIS for pointing them.
  * Rebuild against the new ocaml 3.08.3 packages

 -- Christian Perrier <bubulle@debian.org>  Fri, 21 Jan 2005 17:43:41 +0100

geneweb (4.10-4) unstable; urgency=low

  * debian/geneweb.init:
    - export OPTIONS variable so that it really works as expected.
      Thanks to Bernie Hoeneisen for the patch
      Closes: #287391
  * debian/patches/003_gwd.ml-writelog.dpatch:
    - allow writing log file outside "secure" directories
      Closes: #287734
  * debian/patches/004_gwd.ml-readauth.dpatch:
    - allow reading the auth file outside "secure" directories
      Closes: #287392
  * debian/geneweb.postinst
    - make the logfile owned by the geneweb user and not root
  * debian/geneweb.config
    - keep the settings for OPTIONS

 -- Christian Perrier <bubulle@debian.org>  Thu, 30 Dec 2004 09:53:34 +0100

geneweb (4.10-3) unstable; urgency=low

  * Add Breton to the language list as it is now supported
    in upstream geneweb

 -- Christian Perrier <bubulle@debian.org>  Sun, 19 Dec 2004 08:35:50 +0100

geneweb (4.10-2) unstable; urgency=low

  * Rework the dag2html.1 man page removal code. 
    Closes: #286144

 -- Christian Perrier <bubulle@debian.org>  Sat, 18 Dec 2004 11:53:25 +0100

geneweb (4.10-1) unstable; urgency=low

  * New upstream version

 -- Christian Perrier <bubulle@debian.org>  Thu, 16 Dec 2004 18:16:59 +0100

geneweb (4.09+cvs20040827-3) unstable; urgency=low

  * Switch to dpatch:
    - Adding the Makefile.inc.out and Makefile.in.opt now
      made by dpatch
  * README.Debian
    - More explicitely mention details about umask when writing
      to /var/lib/geneweb
  * gwd.1
    - Complete man page for gwd. Thanks to Peter Gervai. Closes: #265234
  * debian/add-on/gwd.wrapper, debian/geneweb.default, debian/geneweb.init
    - add support for OPTIONS so that admins may specify
      additionnal options for the gwd daemon such as "-a"
      Closes: #265236
  * debian/patches/001_dag2html.1.dpatch
    - Removal of the dag2html man page made by dpatch
  * debian/patches/002_de-translation.dpatch
    - Correct upstream German translation. Closes: #176408

 -- Christian Perrier <bubulle@debian.org>  Mon, 15 Nov 2004 18:55:18 +0100

geneweb (4.09+cvs20040827-2) unstable; urgency=high

  * Urgency set to high because of RC bug
  * Remove the dag2html man page which conflicts with the dag2html
    package. Closes: #269182

 -- Christian Perrier <bubulle@debian.org>  Sat,  4 Sep 2004 09:43:57 +0200

geneweb (4.09+cvs20040827-1) unstable; urgency=medium

  * Urgency set to medium because fixing a bug with severity=important
    affecting the package usability
  * New "upstream version" (CVS checkout). 
  * Fixed Sys_error("Bad file descriptor") error. Closes: #268131

 -- Christian Perrier <bubulle@debian.org>  Fri, 27 Aug 2004 14:44:20 +0200

geneweb (4.09+cvs20040815-1) unstable; urgency=high

  * "new" upstream version. Using a copy from Daniel CVS because this is the
    only way to fix a RC bug. Closes: #264898
  * [bubulle] debian/watch
    - File added
  * [bubulle] debian/control
    - Updated to Standards: 3.6.1.1
  * [bubulle] debian/gwtp.conffiles
    - Added lexicon.txt
  * Rebuilt with ocaml 3.08. 

 -- Christian Perrier <bubulle@debian.org>  Mon, 16 Aug 2004 09:13:15 +0200

geneweb (4.09-25) unstable; urgency=high

  * [bubulle] debian/geneweb.config
    - "better" grep was an horror. Remove extra quote
      Closes: #249441
    - Always recreate /etc/default/geneweb when writing it

 -- Christian Perrier <bubulle@debian.org>  Mon, 17 May 2004 23:30:36 +0200

geneweb (4.09-24) unstable; urgency=low

  * [bubulle] debian/geneweb.config
    - better grep expression in iso_639.tab. Closes: #249156

 -- Christian Perrier <bubulle@debian.org>  Sat, 15 May 2004 21:52:45 +0200

geneweb (4.09-23) unstable; urgency=high

  * [bubulle] debian/rules
    - Make embarked debian/intltool-merge executable. Closes: #247865

 -- Christian Perrier <bubulle@debian.org>  Sat,  8 May 2004 09:31:24 +0200

geneweb (4.09-22) unstable; urgency=high

  * Urgency set to medium because fixing an "important" bug which
    should even have been tagged "grave"
  * [bubulle] debian/geneweb.config:
    - Terminate sed commands
    - Make embarked po2debconf executable. Closes: #244226
    - use "set -e" in mktemplates.sarge. This would have saved me 244226

 -- Christian Perrier <bubulle@debian.org>  Fri,  7 May 2004 06:43:57 +0200

geneweb (4.09-21) unstable; urgency=low

  * [bubulle] debian/mktemplates.sarge:
    - more safe use of iso_639.tab
    - more output when running po2debconf
  * [bubulle] debian/get-iso-codes:
    - more safe use of iso_639.tab
  * [bubulle] debian/control:
    - Build-Depends on po-debconf (used explicitely in mktemplates.sarge)
  * [fenio-guest] debian/po/pl.po
    - Updated Polish translation

 -- Christian Perrier <bubulle@debian.org>  Sat,  3 Apr 2004 09:26:35 +0200

geneweb (4.09-20) unstable; urgency=medium

  * Chmod get-iso-codes and mktemplates.sarge before executing them
    Closes: #240750

 -- Christian Perrier <bubulle@debian.org>  Sat, 27 Mar 2004 09:15:21 +0100

geneweb (4.09-19) unstable; urgency=low

  * New upload with correct changelog

 -- Christian Perrier <bubulle@debian.org>  Fri, 26 Mar 2004 23:11:13 +0100

geneweb (4.09-18) unstable; urgency=low

  * Translations:
    - Updated Czech
    - Updated Portuguese. Closes: #239167
    - Added Hebrew. Thanks, Shlomi Loubaton
  * New scheme for language names translations
    - grabbed from the iso-codes package (Build-Depends on it)
    - Translations built on the fly
    - new files:
      - debian/languages
      - debian/templates.woody (old style templates for woody backports :
        untested)
    - several temporary files
      - debian/pobuild/* : merged translations (po/* + iso-codes)
      - debian/iso-codes/* : iso-codes translations, grabbed from iso-codes
      - debian/geneweb.templates.tmp : intermediate build file

 -- Christian Perrier <bubulle@debian.org>  Thu, 25 Mar 2004 22:29:10 +0100

geneweb (4.09-17) unstable; urgency=medium

  * Include the wrapper script forgotten previously. Closes: #227610
  * Replaced _DefaultChoice by _Default in master templates.
    The default language now depends on the current language again

 -- Christian Perrier <bubulle@debian.org>  Wed, 14 Jan 2004 07:04:12 +0100

geneweb (4.09-16) unstable; urgency=low

  * Changed the init script : it now calls a wrapper script for starting the
    daemon. Thus, the umask may be set before launching gwd. Closes: #219779
  * Corrected UTF-8 errors in changelog
  * Changed the "daemon" choice in debconf templates to "always on" which
    will lower the jargon use. Closes: #218882
  * Rewrote the long Description: field for this template
  * Corrected the comments in the default /etc/default/geneweb file
    as the settings may now be changed manually
  * Prospectively added dh_buildinfo to debian/rules. New Build-Depends on
    dh-buildinfo
  * Updated debconf translations : ca da de es fr it nl pt_BR

 -- Christian Perrier <bubulle@debian.org>  Fri,  9 Jan 2004 13:38:21 +0100

geneweb (4.09-15) unstable; urgency=low

  * The "debconf templates second polishing" release
  * Make debconf templates conform to "Debconf templates Style Guide"
  * Corrected code for bulgarian language in templates. Closes: #218883.
  * Added note about permissions in README.Debian
  * Removed LISEZMOI.txt from the doc directory

 -- Christian Perrier <bubulle@debian.org>  Tue, 11 Nov 2003 08:31:27 +0100

geneweb (4.09-14) unstable; urgency=high

  * The "last minute translations" release
  * Dutch translation of debconf templates. Thanks, Bart Cornelis
    and dutch team
  * This release should also go through the autobuilders after Denis
    fixed po-debconf. Hence the high urgency as -13 couldn't be built on all
    archs.

 -- Christian Perrier <bubulle@debian.org>  Wed,  8 Oct 2003 18:09:05 +0200

geneweb (4.09-13) unstable; urgency=high

  * The "ocaml 3.07 is out" release. Urgency=high, because geneweb
    does not currently build from sources (no RC bug reported yet as
    this upload is supposed to fix this).
  * Upstream source code patched for compiling with ocaml 3.07
    Source assumed some type changes supposed to occur in 3.07 which finally
    did not happen
  * Be friendly to backporters : the po-debconf stuff is hidden for
    woody builds and a woody-compatible templates file is generated by
    the first sid build. Hints from Colin Watson, see debian/rules for
    appropriate pointer to the method (stolen to openssh package)
  * Consequence of above : debian/geneweb.templates renamed to
    debian/geneweb.templates.master
  * Cleaned up useless before-4.09-9 and after-4.09-9 dirs. Thou shall save
    bytes on Debian hosts...
  * More clean test for user/group existence in postinst.
    Stolen to amavisd-new package..:)
  * Polish translation of debconf templates. Thanks, Bartosz Zapalowski.
    Closes: #212846
  * Be more precise about the lower limit for port number the user may
    enter, in templates. Thanks, Vincent Zweije, for pointing it.

 -- Christian Perrier <bubulle@debian.org>  Sat,  4 Oct 2003 09:57:38 +0200

geneweb (4.09-12) unstable; urgency=low

  * The "We should have Geneweb in menus" release
  * Updated to Standards: 3.6.1
  * Added a menu entry (only work if the default port for gwd is not
    changed.....how could I get this from /etc/default/geneweb?)
  * Created an 32x32 icon from gwlogo.gif. It will be used in menus
  * Now Suggests www-browser

 -- Christian Perrier <bubulle@debian.org>  Thu, 21 Aug 2003 18:13:44 +0200

geneweb (4.09-11) unstable; urgency=low

  * Portuguese debconf templates translation. Thanks 
    to Bruno Rodrigues <bruno.rodrigues@litux.org>.
  * Spelling erros corrected in Brazilian portuguese debconf templates.
    Thanks again to Bruno.
  * Fixed spelling error in gwtp package description. Closes: #124715.

 -- Christian Perrier <bubulle@debian.org>  Thu, 26 Jun 2003 16:12:58 +0200

geneweb (4.09-10) unstable; urgency=low

  * The "be kind to users" release : avoid too many debconf questions
  * Lowered priority of debconf questions about port, run mode and
    remove_databases
  * Provide a default value to the "remove_databases" debconf setting
  * Updated to Standards: 3.5.10.0 (no change)
  * Added a note in README.Debian about *.update.gw files. Closes: #193371
  * Man pages completed (SEE ALSO, DOCUMENTATION, note about dump file
    restauration in gwc(1)
  * Debconf screens now have a more explicit title (use of db_title)

 -- Christian Perrier <bubulle@debian.org>  Tue, 27 May 2003 14:21:49 +0200

geneweb (4.09-9) unstable; urgency=low

  * Modify config and postinst files so that admin-modified settings
    in /etc/default/geneweb are not overwritten by debconf while
    configuring or upgrading.
  * Split up all languages in geneweb/lang template to make translators
    work easier when I add new languages (see __Choices in po-debconf(7))
  * postinst : more accurate test of the existence of geneweg group and user
  * postinst : avoid launching chmod/chown too many times

 -- Christian Perrier <bubulle@debian.org>  Thu, 24 Apr 2003 07:33:58 +0200

geneweb (4.09-8) unstable; urgency=low

  * Italian templates updates. Thanks Marco

 -- Christian Perrier <bubulle@debian.org>  Fri,  4 Apr 2003 16:54:33 +0200

geneweb (4.09-7) unstable; urgency=low

  * The "OK, it's time to prepare sarge freeze" release
  * Removed the /usr/doc link creation for gwtp. Thanks lintian.
  * Minor typo corrections in french templates
  * Added lintian override for select-with-translated-default-field
    warnings which are wrong, according to Denis Barbier (see bug #139765)
  * Added lintian override for
    extra-license-file usr/share/doc/geneweb/doc/LICENSE.htm
    (this file is needed as it is linked by Geneweb documentation)
  * Removed build dependency on po-debconf after confirmation by Denis
    Barbier that it is not mandatory (will help autobuilders, I guess)
  * Original english templates corrected. Thanks to Hamish Moffatt and
    Colin Walters.
  * German templates updated. Thanks, Joerg.
  * Brasilian portuguese templates updated. Thanks, Andre Luis.
  * Spanish templates updated. Thanks, Carlos.
  * Danish templates updated. Thanks, Morten Bo.
  * Catalan templates updated. Thanks, Jordi.
  * Corrected Suggests to httpd virtual package instead of
    incorrect "www-server". Thanks Debian Developer's Packages Overview.
  * Removed suggestion for ocaml
  * Updated to Standards: 3.5.9.0

 -- Christian Perrier <bubulle@debian.org>  Thu,  3 Apr 2003 14:36:44 +0200

geneweb (4.09-6) unstable; urgency=high

  * Create fake genewebrc file in prerm stage. This will allow upgrade
    from earlier versions which used ". /etc/geneweb/genewebrc" in
    /etc/init.d/geneweb without correct error handling. Should prevent
    horror stories for testing users.

 -- Christian Perrier <bubulle@debian.org>  Mon, 10 Mar 2003 19:17:54 +0100

geneweb (4.09-5) unstable; urgency=low

  * /etc/geneweb/images symlink creation removed from postinst script.
    Closes: 180244
  * Catalan templates updated

 -- Christian Perrier <bubulle@debian.org>  Mon, 10 Feb 2003 19:37:07 +0100

geneweb (4.09-4) unstable; urgency=low

  * Force database directories in /var/lib/geneweb and images directories
    in /var/lib/geneweb/images to be group-writable by geneweb group. 
    Needed now as the daemon runs unprivileged. Closes: 179918

 -- Christian Perrier <bubulle@debian.org>  Wed,  5 Feb 2003 18:32:33 +0100

geneweb (4.09-3) unstable; urgency=low

  * The "OK, stop running as root" release
  * Spanish templates update
  * Main daemon now runs as geneweb
  * Postinst script now creates geneweb user, member of group
    geneweb. Postrm script removes it when purging.
  * Removed useless PIDFILE variable in init script
  * Logrotate script modified for proper owner of the log file
  * Log file permissions now 0600 geneweb.geneweb
  * Modify permissions on cnt files so that the daemon
    may update them properly
  * Debconf templates italian translation. Thanks Marco Bodrato.
  * Updated REAME.Debian
  * Brazilian portuguese debconf template translation added.
    Thanks to Andre Luis Lopes. Closes: 179367
  * Depends on debconf >1.2.9 (suggested by lintian...I still have to
    understand why)

 -- Christian Perrier <bubulle@debian.org>  Sun,  2 Feb 2003 19:34:53 +0100

geneweb (4.09-2) unstable; urgency=low

  * Priority of the lang debconf template lowered to medium
  * New debconf template for configuring gwd port. Closes: 175731
  * New debconf template for choosing whether gwd should be
    launched at startup. Thanks to the samba package developers for
    stolen ideas..:-)
  * Debconf questions about port/remove databases are asked
    only when running in daemon mode
  * Removed the "The port is XXXX using lang=yy" display after configure
  * Corrected the bug in configure step when registering documentation.
    Defaults to use english documentation when either geneweb
    default language is not defined or the documentation is not
    translated in this language.
  * Removed "registering documentation" display during configure
  * Corrected the section for doc-base to Apps/Tools
  * Removed the redundant call to install-docs in prerm script
  * Removed the redundant DEBHELPER sections in prerm script
  * Removed the useless call to /etc/init.d/geneweb in prerm script
  * More careful source of RCFILE in prerm script
  * Less verbose gwu exports in prerm script
  * No more /usr/doc/geneweb symlink creation. Old symlink is deleted.
  * Removed the OLD and oldies useless directories in debian for
    the source package

 -- Christian Perrier <bubulle@debian.org>  Wed,  8 Jan 2003 18:12:21 +0100

geneweb (4.09-1) unstable; urgency=high

  * New upstream release. Security fix.
  * No more lang and etc files in /etc. These files are moved in
    /usr/share/geneweb. These standard files should not be modified
    by the system administrator. Files dedicated for each database may be used
    instead.
  * Removed symlink from /usr/share/geneweb/images to /etc/geneweb/images
  * Changed init script (-hd /usr/share/geneweb) accordingly
  * Conffiles list updated accordingly
  * New finnish debconf templates. Thanks to Esa Turtiainen.
  * Correction to french template for latvian language.

 -- Christian Perrier <bubulle@debian.org>  Fri,  3 Jan 2003 10:39:12 +0100

geneweb (4.08-4) unstable; urgency=low

  * Modified .config file again so that the OLDRCFILE/NEWRCFILE move
    will always be done, not only when /var/geneweb is there.
  * Modified the test for the contents of the old /var/geenweb
    directory. When this directory is empty, it should now be
    removed.

 -- Christian Perrier <bubulle@debian.org>  Sat, 21 Dec 2002 11:38:54 +0100

geneweb (4.08-3) unstable; urgency=medium

  * Completed ca.po file. Thanks to Jordi Mallach.
  * Completed da.po file. Thanks to Morten Bo Johansen.
  * Defined OLDRCFILE and NEWRCFILE in geneweb.config. Thanks to Vegard
    Engen for pointing this out first. Closes: 173790

 -- Christian Perrier <bubulle@debian.org>  Fri, 20 Dec 2002 15:20:26 +0100

geneweb (4.08-2) unstable; urgency=low

  * Moved to po-debconf for templates translations. Updated Build-Depends
    accordingly.

 -- Christian Perrier <bubulle@debian.org>  Sun, 15 Dec 2002 11:19:01 +0100

geneweb (4.08-1) unstable; urgency=low

  * New upstream release
  * Now use official manpages for ged2gwb, gwb2ged, gwc, gwu
  * Added romanian and bulgarian languages to the default language
    choice template as these languages are now supported in 4.08.
    Translated templates temporarily use the english name for these
    languages.

 -- Christian Perrier <bubulle@debian.org>  Fri, 13 Dec 2002 10:38:09 +0100

geneweb (4.07-4) unstable; urgency=low

  * Updated to Standards: 3.5.8.0
  * Use /etc/default/geneweb instead of /etc/geneweb/genewebrc for
    PORT and LANG setup. Policy 10.3.2. Conffiles list updated
    accordingly. Prerm script also.
  * Cosmetic changes to init script output. Policy 10.4
  * Correction to logrotate entry : the option "reload" does not
    exist in the init script. Use "force-reload" instead.
  * Try to remove log files when purging. Policy 11.8
  * Move the check of /var/lib/geneweb permissions and owner
    back to the configure stage. (Closes: #171570). I cannot
    really deal with users messing up with permissions to that point.

 -- Christian Perrier <bubulle@debian.org>  Tue, 26 Nov 2002 08:32:16 +0100

geneweb (4.07-3) unstable; urgency=low

  * German translation for remove_databases template.
    Thanks to Joerg Rieger again.
  * Spanish translation for remove_databases template.
    Thanks to Carlos again.
  * Danish translation of templates. Thanks to Morten Bo Johansen.
  * Better man pages for gwc, gwu, ged2gwb, gwb2ged
  * Removed install-docs call in postinst as it is already
    managed by dh_installdocs
  * Always check /var/lib/geneweb and its subdirectories
    permissions (Closes: #149316)
  * Remove /var/log/geneweb empty file from previous postinst
    scripts and create /var/log/geneweb.log properly

 -- Christian Perrier <bubulle@debian.org>  Fri, 25 Oct 2002 11:52:13 +0200

geneweb (4.07-2) unstable; urgency=low

  * Remove /etc/geneweb/* after purge. (Closes: #162078)
  * Added a debconf option for removing databases after purge
    (thanks to Jérôme Marant <jmarant@nerim.net> for ideas and suggestions)
  * Removed useless call to obsolete suidunregister in postrm
  * Cleaning in debian/rules. Better use of "-a" and "-i" flags
    of debhelper apps.
  * dh_clean -k called properly before building

 -- Christian Perrier <bubulle@debian.org>  Fri, 27 Sep 2002 20:19:51 +0200

geneweb (4.07-1) unstable; urgency=low

  * New upstream release
  * In prerm script, we now use numerical UIDs and GIDs when getting
    database ownership data in order to set the proper permissions
    on exported files (Closes: #155451)
  * Added /usr/doc->/usr/share/doc transition statements in prerm and
    postinst just to make lintian happy..:-)

 -- Christian Perrier <Christian.Perrier@onera.fr>  Fri, 23 Aug 2002 09:49:19 +0200

geneweb (4.06-2) unstable; urgency=low

  * Fixed init script so that log file has the correct name (Closes: #146748)
  * Modified README.Debian, gwc.1 and ged2gwb.1 for more accurately warning 
    users about the correct location of databases (Closes: #146747)

 -- Christian Perrier <bubulle@debian.org>  Mon, 13 May 2002 09:41:38 +0200

geneweb (4.06-1) unstable; urgency=low

  * New upstream release. Should prevent problems with images
    and documentation links for the CGI version (no opened bug yet for
    the Debian package as it defaults to use the daemon version).    

 -- Christian Perrier <bubulle@debian.org>  Mon, 11 Mar 2002 08:12:26 +0100

geneweb (4.05-3) unstable; urgency=low

  * Modified debconf templates so that default choice for lang is the
    default language. Thanks Denis Barbier for the suggestion.

 -- Christian Perrier <bubulle@debian.org>  Mon,  4 Mar 2002 08:54:01 +0100

geneweb (4.05-2) unstable; urgency=low

  * Silly mistake corrected in debian/rules (dh_installlogrotate
    called twice and making potato backports fail)
  * Call either dh_installman or dh_installmanpages, depending
    on the build platform (potato or woody)

 -- Christian Perrier <bubulle@debian.org>  Fri,  1 Mar 2002 10:10:47 +0100

geneweb (4.05-1) unstable; urgency=low

  * New upstream version
  * Conffiles for gwtp changed to follow the new scheme for translations
    introduced in 4.05 (everything in one file)
  * Tests on dh_installexamples and dh_installlogrotate so that
    potato backports do not require modification of the debian/rules
    file (thanks to Eloy Paris, samba package maintainer, for the idea)

 -- Christian Perrier <bubulle@debian.org>  Fri,  1 Mar 2002 09:16:32 +0100

geneweb (4.04-4) unstable; urgency=low

  * Use the appropriate way to handle translation of debconf 
    templates after reading http://www.debian.org/intl/l10n/templates/hints
    as suggested in debian-devel-french.

 -- Christian Perrier <bubulle@debian.org>  Thu, 28 Feb 2002 17:56:07 +0100

geneweb (4.04-3) unstable; urgency=low

  * Stupid Closes statement in former release, which didn't properly
    close the bug! (Closes: #131238)

 -- Christian Perrier <bubulle@debian.org>  Thu, 28 Feb 2002 16:17:11 +0100

geneweb (4.04-2) unstable; urgency=low

  * Build dependency on ocaml-best-compilers. (Closes: #115150)

 -- Christian Perrier <bubulle@debian.org>  Tue, 29 Jan 2002 15:07:55 +0100

geneweb (4.04-1) unstable; urgency=low

  * New upstream release
  * Removed the need for camlp4 (which is part of ocaml now)
  * Build Dependency on ocaml >=3.04
  * /etc/logrotate.d/* marked as conffiles (thanks lintian!)
  * /usr/lib/cgi-bin/gwtp/gwtp.cgi marked as executable (thanks
    lintian again!)

 -- Christian Perrier <bubulle@debian.org>  Wed,  9 Jan 2002 12:04:37 +0100

geneweb (4.03-5) unstable; urgency=low

  * use $SERVER_NAME in gwtp.cgi
  * gwtp : changed group owning gwtp.log from www-data to geneweb.
    Prevents other CGI scripts reading passwd and log files

 -- Christian Perrier <bubulle@debian.org>  Fri, 14 Sep 2001 10:58:31 +0200

geneweb (4.03-4) unstable; urgency=low

  * Correct use of variables in gwtp.cgi script

 -- Christian Perrier <bubulle@debian.org>  Tue, 11 Sep 2001 11:04:55 +0200

geneweb (4.03-3) unstable; urgency=low

  * Cleaned out the translated Description fields after reading
    debian-devel threads about this

 -- Christian Perrier <bubulle@debian.org>  Mon, 10 Sep 2001 14:41:30 +0200

geneweb (4.03-2) unstable; urgency=low

  * Split package by moving gwtp-related files to the gwtp package
    This adds lots of gwtp-related stuff
  * gwtp sources patched for allowing more granularity in files location
    so that it respects FHS
  * Remove cron.daily script. Use logrotate instead for log rotation.
    This removes the need for the cron.conf configuration file.
  * Added move of the contents of /var/geneweb/etc and /var/geneweb/images
    when dealing with old packages installations
  * Move all files under cnt when dealing with old packages installations
  * Added a french and a german translation of package Description

 -- Christian Perrier <bubulle@debian.org>  Wed,  5 Sep 2001 14:50:23 +0200

geneweb (4.03-1) unstable; urgency=low

  * New upstream release
  * Moved several "doc" and examples files from /usr/lib/geneweb to
    /usr/share/doc/geneweb : CHANGES.TXT, LISEZMOI.txt, README.txt,
    a.gwf, etc directory, only.txt file
  * /usr/lib/geneweb/lang moved to /etc/geneweb as files there may
    be setup by local sysadmins.
  * Added a /etc/geneweb/etc directory where system-wide
    custom templates will be read. This directory *has* to be named
    etc, sorry.
  * several variables for the location of files moved back from
    /etc/geneweb/genewebrc to /etc/init.d/geneweb. These variables
    should not be changed by users otherwise it would break
    the daemon
  * Simplified the cron.daily script. Group owning logs is hardcoded to
    geneweb because having something else woudl break logging.
    /etc/geneweb/cron.conf is thus a lot simplified.
  * Corrected doc-base entry after reading documentation of
    doc-base..:-)
  * debian/rules files is a bit better documented
  * Moving gwtp files to better places. gwtp still doesn't work
  * Updated README.Debian, removing non-Debian informations and
    explaining why gwtp does not work yet. Try to explain the mechanisms
    used by the package for system-wide/database-wide customisations.
  * Images are now in /usr/share/geneweb/images with an horrible link
    from /etc/geneweb/images..:-(
  * When removing package, properly remove files created in 
    /usr/share/doc/geneweb by the "registering documentation for $LANG" 
    function of the daemon when it starts

 -- Christian Perrier <bubulle@debian.org>  Thu, 30 Aug 2001 09:14:21 +0200

geneweb (4.02-1) unstable; urgency=low

  * New upstream release

 -- Christian Perrier <bubulle@debian.org>  Tue, 28 Aug 2001 16:14:28 +0200

geneweb (4.01-6) unstable; urgency=low

  * Added chown root.geneweb for logfile in postinst so that upgrade from 
    systems where permissions are incorrect will not prevent geneweb from 
    working.

 -- Christian Perrier <bubulle@debian.org>  Mon, 27 Aug 2001 15:39:17 +0200

geneweb (4.01-5) unstable; urgency=low

  * Completed default /etc/geneweb/cron.conf so that chown/chgrp of logfiles
    may work in cron.daily script
  * Translated the remainingdir template into spanish and german.
    Thanks to Carlos Valdivia Yagüe and Joerg Rieger for help.
    Also added a Choices-de entry to the lang template
  * Modified config script for working properly when there is no old
    /var/geneweb directory

 -- Christian Perrier <bubulle@debian.org>  Mon, 27 Aug 2001 15:39:07 +0200

geneweb (4.01-4) unstable; urgency=low

  * Definitive update of maintainer information
  * non FHS-compliant /var/geneweb dropped out in favour of
    /var/lib/geneweb. Sorry for messing up with this. Hope I don't mess up
    something else..:-)
  * renamed postinst, prerm, postrm to geneweb.postinst and so on
  * same for init, cron.daily
  * updated README.Debian
  * cosmetic changes to templates file
  * Incorporated Carlos Valdivia Yagüe's spanish templates for
    default language choice (Closes:Bug#103200)

 -- Christian Perrier <bubulle@debian.org>  Wed, 22 Aug 2001 14:47:15 +0200

geneweb (4.01-3) unstable; urgency=low

  * Fold in changes from Christian's unofficial package.
  * Add dependency on adduser package/proper build-depends/geneweb group.
  * Change maintainer information

 -- Christian Perrier <perrier@onera.fr>  Tue, 19 Jun 2001 21:30:21 +0200

geneweb (4.01-2) unstable; urgency=low

  * Ugh!  Finally incorporated Joerg Rieger's helpful German template
    file.  Sorry this took so long.  (Closes:Bug#84262)
  * I'm closing this bug because it was caused by a mismatch between
    the version of Objective Caml and Camlp4.  (Closes:Bug#84548)
  * I removed the "FR" postfixes, changing to "fr".  I believe this
    corrects this bug, but please contact me via e-mail if it does
    not.  (Closes:Bug#95172)
  * For fun, added doc-base support.

 -- Brent A. Fulgham <bfulgham@debian.org>  Wed, 30 May 2001 20:44:10 -0700

geneweb (4.01-1) unstable; urgency=low

  * New upstream version.

 -- Brent A. Fulgham <bfulgham@debian.org>  Fri, 13 Apr 2001 16:38:57 -0700

geneweb (4.00-3) unstable; urgency=low

  * A couple of minor dependency updates to prevent build failures on
    build machines.

 -- Brent A. Fulgham <bfulgham@debian.org>  Sat,  7 Apr 2001 19:58:57 -0700

geneweb (4.00-2) unstable; urgency=low

  * Correction to allow building on platforms without the optimizing compiler.
    (Closes:Bug#91862)
  * Updates for Polish and Catalan.

 -- Brent A. Fulgham <bfulgham@debian.org>  Fri,  6 Apr 2001 19:11:32 -0700

geneweb (4.00-1) unstable; urgency=low

  * New upstream release.  See changelog for details. 

 -- Brent A. Fulgham <bfulgham@debian.org>  Tue, 13 Mar 2001 18:35:50 -0800

geneweb (3.11-3) unstable; urgency=low

  * Remove some bashisms from the various scripts.(Closes:Bug#88005)
  * Rearrange directory creation to insure group is always present before
    directory is built.(Closes:Bug#88229)
  * Various lintian fixes.
  * Correct a few more debconf gotchas.

 -- Brent A. Fulgham <bfulgham@debian.org>  Sat,  3 Mar 2001 13:26:59 -0800

geneweb (3.11-2) unstable; urgency=low

  * Updated configuration scripts to pacify irate debconf author.
    (Closes:Bug#87356)

 -- Brent A. Fulgham <bfulgham@debian.org>  Sat, 24 Feb 2001 23:45:45 -0800

geneweb (3.11-1) unstable; urgency=low

  * New upstream release.  See changelog for details

 -- Brent A. Fulgham <bfulgham@debian.org>  Wed, 14 Feb 2001 19:55:23 -0800

geneweb (3.10-3) unstable; urgency=low

  * Merging with unofficial package from Geneweb ftp site
    (in preparation of new maintainer [Christian Perrier] takeing
    over responsibility).  Note that all of this work is from
    Christian.
  * Default database dir is now writable by members of geneweb group
  * New geneweb group added at installation
  * Package tries to properly handle former installations of the
    unofficial Geneweb package available on Geneweb ftp site
  * Debconf dialogs translated in french
  * More languages available
  * Creation of /var/geneweb/etc, /var/geneweb/cnt, /var/geneweb/images
    with proper permission so that authorised users may use these also
  * When de-installed, all databases are exported with gwu (should allow
    smooth upgrades when the databse format changes)

 -- Brent A. Fulgham <bfulgham@debian.org>  Mon, 22 Jan 2001 19:30:47 -0800

geneweb (3.10-2) unstable; urgency=low

  * Update to use debconf.

 -- Brent A. Fulgham <bfulgham@debian.org>  Mon,  8 Jan 2001 20:06:39 -0800

geneweb (3.10-1) unstable; urgency=low

  * New upstream version .
  * Correct incorrect path.(Closes:Bug#69490)

 -- Brent A. Fulgham <bfulgham@debian.org>  Thu, 28 Dec 2000 17:51:04 -0800

geneweb (3.08-1) unstable; urgency=low

  * New upstream version....

 -- Brent A. Fulgham <bfulgham@debian.org>  Mon, 30 Oct 2000 21:04:38 -0800

geneweb (3.06-2) unstable; urgency=low

  * Correct some improper configuration issues with the initial install.
  * Provide a configuration file in /etc/genewebrc so you can make changes
    to locations a bit more easily.(Closes: Bug#71164)

 -- Brent A. Fulgham <bfulgham@debian.org>  Mon, 30 Oct 2000 20:27:12 -0800

geneweb (3.06-1) unstable; urgency=low

  * Initial Release. 

 -- Brent A. Fulgham <bfulgham@debian.org>  Sat, 22 Jul 2000 19:49:02 -0700

geneweb (3.10-2) unstable; urgency=low

  * Update to use debconf.

 -- Brent A. Fulgham <bfulgham@debian.org>  Mon,  8 Jan 2001 20:06:39 -0800

geneweb (3.10-1) unstable; urgency=low

  * New upstream version .
  * Correct incorrect path.(Closes:Bug#69490)

 -- Brent A. Fulgham <bfulgham@debian.org>  Thu, 28 Dec 2000 17:51:04 -0800

geneweb (3.08-1) unstable; urgency=low

  * New upstream version....

 -- Brent A. Fulgham <bfulgham@debian.org>  Mon, 30 Oct 2000 21:04:38 -0800

geneweb (3.06-2) unstable; urgency=low

  * Correct some improper configuration issues with the initial install.
  * Provide a configuration file in /etc/genewebrc so you can make changes
    to locations a bit more easily.(Closes:Bug#71164)

 -- Brent A. Fulgham <bfulgham@debian.org>  Mon, 30 Oct 2000 20:27:12 -0800

geneweb (3.06-1) unstable; urgency=low

  * Initial Release. 

 -- Brent A. Fulgham <bfulgham@debian.org>  Sat, 22 Jul 2000 19:49:02 -0700


geneweb (5.00-2) unstable; urgency=low

  * Upload to unstable
  * Add update_nldb to the built files (patch already applied upstream)

 -- Christian Perrier <bubulle@debian.org>  Fri, 13 Apr 2007 14:11:38 +0200

geneweb (5.00-1) experimental; urgency=low

  * New upstream release
  * Add debconf-updatepo to the clean target of debian/rules

 -- Christian Perrier <bubulle@debian.org>  Wed, 28 Feb 2007 21:04:18 +0100

geneweb (4.10-25) unstable; urgency=low

  * Move debconf dependency to Pre-Depends because we use debconf in
    the postrm script
  * Add Short-Description to LSB headers for init scripts

 -- Christian Perrier <bubulle@debian.org>  Thu, 16 Nov 2006 05:42:19 +0100

geneweb (4.10-24) unstable; urgency=low

  * Improve LSB header in init script after discussions on #pkg-sysvinit IRC
    channel

 -- Christian Perrier <bubulle@debian.org>  Sat, 23 Sep 2006 12:50:04 +0200

geneweb (4.10-23) unstable; urgency=low

  * Debconf translation updates:
    - Greek (Emmanuel Galatoulas)

 -- Christian Perrier <bubulle@debian.org>  Mon,  4 Sep 2006 19:35:23 +0200

geneweb (4.10-22) unstable; urgency=low

  * debian/control
    - Updated to Standards: 3.7.2.0 (checked, no change needed: we were
      already compliant)
  * debian/geneweb.templates.master, debian/gwsetup.templates
    - No more translated Default field, which is useless
  * Debconf translation updates:
    - Brazilian Portuguese (obrigado, Felipe Augusto van de Wiel)

 -- Christian Perrier <bubulle@debian.org>  Wed, 16 Aug 2006 21:59:11 -0500

geneweb (4.10-21) unstable; urgency=low

  * No mot use ">/dev/null 2>&1" in maintainer and build scripts
    Thanks to Lars Wirzenius campaign promoting piuparts
  * Debconf translation updates:
    - Hebrew (toda, Lior Kaplan)
    - Arabic (chokrane, Ossama Khayat)
    - German proofread (Danke schön, Jens Seidel)
    - Polish (Bartosz Fenski)
    - Italian (grazie, Stefano Canepa)
  * New debconf translation:
    - Norwegian Bokmål (takk, Bjørn Steensrud). Closes: #355024
    - Hungarian (köszönöm, SZERVÁC Attila).
    - Vietnamese (cám Ön, Clytie).
    - Korean (kam sah hamnida, Sunjae Park). Closes: #355151
    - Russian (spassiba, Yuri Kozlov). Closes: #355412

 -- Christian Perrier <bubulle@debian.org>  Mon, 13 Mar 2006 07:15:05 +0100

geneweb (4.10-20) unstable; urgency=low

  * Remove gwtp log file on purge. Closes: #353183
  * Remove gwsetup log file on purge.

 -- Christian Perrier <bubulle@debian.org>  Sat, 18 Feb 2006 12:25:44 +0100

geneweb (4.10-19) unstable; urgency=low

  * debian/geneweb.logrotate:
    - use invoke-rc.d instead of hard-coded call to /etc/init.d/geneweb
      Closes: #353206

 -- Christian Perrier <bubulle@debian.org>  Fri, 17 Feb 2006 19:50:04 +0100

geneweb (4.10-18) unstable; urgency=low

  * Translation updates:
    - German updated
  * debian/rules:
    - Force executable permissions for the wrappers
      Closes: #348577

 -- Christian Perrier <bubulle@debian.org>  Wed, 18 Jan 2006 07:00:34 +0100

geneweb (4.10-17) unstable; urgency=low

  * debian/control, debian/rules, debian/gwsetup.*
    debian/add-on/gwsetup.wrapper:
      Create a binary package for gwsetup. This involves several hacks in
      setup.ml, attempting to improve gwsetup behaviour vs the FHS.
      See 010_gwsetup-fhs for these hacks
  * debian/NEWS.Debian:
    - File added
  * Translation updates:
    - French updated
    - Swedish updated
    - Portuguese updated
    - Spanish updated
    - Basque updated
    - Czech updated
    - Finnish updated
    - Danish updated
    - Dutch updated
    - Catalan updated
    - German updated
    - Japanese updated. Closes: #341185

 -- Christian Perrier <bubulle@debian.org>  Sun,  4 Dec 2005 19:52:57 +0100

geneweb (4.10-16) unstable; urgency=low

  * debian/geneweb.init,debian/geneweb.postinst:
    - Correct reference to /usr/share/doc/geneweb instead of
      /usr/share/doc/geneweb/doc. Closes: #338514,#336360
  * Debconf translations:
    - Swedish added. Closes: #338521

 -- Christian Perrier <bubulle@debian.org>  Fri, 11 Nov 2005 12:04:29 +0100

geneweb (4.10-15) unstable; urgency=low

  * Rebuild with ocaml 3.09
  * debian/patches/009_compile_with_ocaml-3.09:
    - Remove "--warn-error A" which leads to compilation failures, on Daniel's
    advice
    - Also use old_style loc to compile with ocaml 3.09 without source changes

 -- Christian Perrier <bubulle@debian.org>  Tue,  8 Nov 2005 18:33:25 +0100

geneweb (4.10-14) unstable; urgency=low

  * Use the correct variable DEB_HOST_ARCH. Thanks to Julien Cristau for
    noticing

 -- Christian Perrier <bubulle@debian.org>  Tue, 25 Oct 2005 18:13:25 +0200

geneweb (4.10-13) unstable; urgency=low

  * Add LSB header to the init script. Thanks to Petter Reinholdtsen
    for example and advice given on http://wiki.debian.org/?LSBInitScripts
  * Temporarily built with bytecode on alpha because of #335578

 -- Christian Perrier <bubulle@debian.org>  Sun, 23 Oct 2005 17:56:56 +0200

geneweb (4.10-12) unstable; urgency=low

  * switched init script to lsb-functions

 -- Christian Perrier <bubulle@debian.org>  Wed, 12 Oct 2005 09:34:39 +0200

geneweb (4.10-11) unstable; urgency=low

  * The "clean out the corners" release
  * All stuff dealing with pre-woody versions of the package is
    removed from the maintainers scripts
  * Minor cleaning/rewrite in maintainer scripts
  * geneweb.preinst:
    Removed because now useless
  * gwtp.postrm:
    Removed because now useless
  * debian/po2debconf, debian/intltool-merge:
    Removed. We now use the official versions as we don't really need
    the partial translation trick anymore as iso-codes is well
    translated.

 -- Christian Perrier <bubulle@debian.org>  Fri,  2 Sep 2005 18:44:12 +0200

geneweb (4.10-10) unstable; urgency=low

  * The "long time since last release" release
  * debian/rules
    - now use debhelper compatibility level 4
    - clean out the extra stuff for Potato and Woody compatibility
  * debian/control
    - Use ${misc:Depends} in Depends which will generate correct dependency
      on debconf to make joeyh happy
  * debian/compat
    - added
  * Switch to quilt for upstream patches handling
  * debian/patches/006_consang.1
    - added to really add the consang.1 man page
  * debian/patches/007_gwd.1
    - added to really add the gwd.1 man page
  * debian/patches/008_gwc.1
    - added to correct a syntax error in the gwc.1 man page
  * debian/control
    - Updated to Standards: 3.6.2.1 (checked)
  * debian/geneweb.doc-base
    - Removed. The documentation for that thing is really hard to understand
  * Debconf translations:
    - German corrected. Closes: #314099

 -- Christian Perrier <bubulle@debian.org>  Thu,  1 Sep 2005 22:16:02 +0200

geneweb (4.10-9) unstable; urgency=low

  * debian/geneweb.postinst,debian/geneweb.config:
    - Write the config file only in postinst stage and
      not config stage. Closes: #311753
    - Replace LANG by LNG in scripts to avoid mixing up with
      the system's localization settings
  * debian/geneweb.postrm:
    - Remove the configuration file when purging the package
  * debian/geneweb.init:
    - Use a nicer output during daemon start/stop phases
      (remove "done")
  * debian/control:
    - Remove extraneous capitals in binary packages descriptions
  * debian/gwd.1, debian/patches/006.gwd.1.dpatch, debian/geneweb.manpages
    - gwd man page added as a patch to upstream
  * debian/consang.1, debian/patches/007.consang.1.dpatch, debian/geneweb.manpages
    - consang man page added as a patch to upstream
  * Debconf translations:
    - Vietnamese added. Closes: #311771

 -- Christian Perrier <bubulle@debian.org>  Wed,  8 Jun 2005 08:25:48 +0200

geneweb (4.10-8) unstable; urgency=low

  * Rebuilt to remove CVS directories from the uploads
    and add the CAN-2005-0391 mention in the previous release
  * debian/control:
    - Move iso-codes and adduser to Pre-Depends
      Closes: #307153
  * debian/geneweb.default:
    - File removed as it is now created during the configuration process
      Closes: #307155
  * debian/geneweb.config:
    - Removed the hard-coded default mode for RUN_MODE in input_settings

 -- Christian Perrier <bubulle@debian.org>  Sun, 17 Apr 2005 19:45:13 +0200

geneweb (4.10-7) unstable; urgency=high

  * Urgency set to high because fixing RC bug
  * Comment the code which exports databases. It has never proven
    to be really useful and has potential nasty consequences
    CAN-2005-0391. Closes: #304405

 -- Christian Perrier <bubulle@debian.org>  Wed, 13 Apr 2005 07:28:16 +0200

geneweb (4.10-6) unstable; urgency=medium

  * priority set to medium because of RC bug fixed which only affects
    sid
  * debian/patches/005_memory-leak-301378:
    - Fix memory leak in secure.ml. Thanks to Daniel de Rauglaudre
      for the very quick fix. Closes: #301378

 -- Christian Perrier <bubulle@debian.org>  Fri, 25 Mar 2005 18:58:11 +0100

geneweb (4.10-5) unstable; urgency=low

  * Debconf translations:
    - Danish updated. Closes: #291547
    - Japanese added. Closes: #298543
    - Arabic added.  Thanks to Ossama Khayat
    - Basque added. Thanks to Piarres Beobide Egana
    - Greek added. Thanks to Socrates VAVILIS
  * Correct use of hints and longtitle in the menu file
    Thanks to Bill Allombert for pointing this. Closes: #296880
  * Remove double spaces in debconf templates.
    Thanks to Socrates VAVILIS for pointing them.
  * Rebuild against the new ocaml 3.08.3 packages

 -- Christian Perrier <bubulle@debian.org>  Fri, 21 Jan 2005 17:43:41 +0100

geneweb (4.10-4) unstable; urgency=low

  * debian/geneweb.init:
    - export OPTIONS variable so that it really works as expected.
      Thanks to Bernie Hoeneisen for the patch
      Closes: #287391
  * debian/patches/003_gwd.ml-writelog.dpatch:
    - allow writing log file outside "secure" directories
      Closes: #287734
  * debian/patches/004_gwd.ml-readauth.dpatch:
    - allow reading the auth file outside "secure" directories
      Closes: #287392
  * debian/geneweb.postinst
    - make the logfile owned by the geneweb user and not root
  * debian/geneweb.config
    - keep the settings for OPTIONS

 -- Christian Perrier <bubulle@debian.org>  Thu, 30 Dec 2004 09:53:34 +0100

geneweb (4.10-3) unstable; urgency=low

  * Add Breton to the language list as it is now supported
    in upstream geneweb

 -- Christian Perrier <bubulle@debian.org>  Sun, 19 Dec 2004 08:35:50 +0100

geneweb (4.10-2) unstable; urgency=low

  * Rework the dag2html.1 man page removal code. 
    Closes: #286144

 -- Christian Perrier <bubulle@debian.org>  Sat, 18 Dec 2004 11:53:25 +0100

geneweb (4.10-1) unstable; urgency=low

  * New upstream version

 -- Christian Perrier <bubulle@debian.org>  Thu, 16 Dec 2004 18:16:59 +0100

geneweb (4.09+cvs20040827-3) unstable; urgency=low

  * Switch to dpatch:
    - Adding the Makefile.inc.out and Makefile.in.opt now
      made by dpatch
  * README.Debian
    - More explicitely mention details about umask when writing
      to /var/lib/geneweb
  * gwd.1
    - Complete man page for gwd. Thanks to Peter Gervai. Closes: #265234
  * debian/add-on/gwd.wrapper, debian/geneweb.default, debian/geneweb.init
    - add support for OPTIONS so that admins may specify
      additionnal options for the gwd daemon such as "-a"
      Closes: #265236
  * debian/patches/001_dag2html.1.dpatch
    - Removal of the dag2html man page made by dpatch
  * debian/patches/002_de-translation.dpatch
    - Correct upstream German translation. Closes: #176408

 -- Christian Perrier <bubulle@debian.org>  Mon, 15 Nov 2004 18:55:18 +0100

geneweb (4.09+cvs20040827-2) unstable; urgency=high

  * Urgency set to high because of RC bug
  * Remove the dag2html man page which conflicts with the dag2html
    package. Closes: #269182

 -- Christian Perrier <bubulle@debian.org>  Sat,  4 Sep 2004 09:43:57 +0200

geneweb (4.09+cvs20040827-1) unstable; urgency=medium

  * Urgency set to medium because fixing a bug with severity=important
    affecting the package usability
  * New "upstream version" (CVS checkout). 
  * Fixed Sys_error("Bad file descriptor") error. Closes: #268131

 -- Christian Perrier <bubulle@debian.org>  Fri, 27 Aug 2004 14:44:20 +0200

geneweb (4.09+cvs20040815-1) unstable; urgency=high

  * "new" upstream version. Using a copy from Daniel CVS because this is the
    only way to fix a RC bug. Closes: #264898
  * [bubulle] debian/watch
    - File added
  * [bubulle] debian/control
    - Updated to Standards: 3.6.1.1
  * [bubulle] debian/gwtp.conffiles
    - Added lexicon.txt
  * Rebuilt with ocaml 3.08. 

 -- Christian Perrier <bubulle@debian.org>  Mon, 16 Aug 2004 09:13:15 +0200

geneweb (4.09-25) unstable; urgency=high

  * [bubulle] debian/geneweb.config
    - "better" grep was an horror. Remove extra quote
      Closes: #249441
    - Always recreate /etc/default/geneweb when writing it

 -- Christian Perrier <bubulle@debian.org>  Mon, 17 May 2004 23:30:36 +0200

geneweb (4.09-24) unstable; urgency=low

  * [bubulle] debian/geneweb.config
    - better grep expression in iso_639.tab. Closes: #249156

 -- Christian Perrier <bubulle@debian.org>  Sat, 15 May 2004 21:52:45 +0200

geneweb (4.09-23) unstable; urgency=high

  * [bubulle] debian/rules
    - Make embarked debian/intltool-merge executable. Closes: #247865

 -- Christian Perrier <bubulle@debian.org>  Sat,  8 May 2004 09:31:24 +0200

geneweb (4.09-22) unstable; urgency=high

  * Urgency set to medium because fixing an "important" bug which
    should even have been tagged "grave"
  * [bubulle] debian/geneweb.config:
    - Terminate sed commands
    - Make embarked po2debconf executable. Closes: #244226
    - use "set -e" in mktemplates.sarge. This would have saved me 244226

 -- Christian Perrier <bubulle@debian.org>  Fri,  7 May 2004 06:43:57 +0200

geneweb (4.09-21) unstable; urgency=low

  * [bubulle] debian/mktemplates.sarge:
    - more safe use of iso_639.tab
    - more output when running po2debconf
  * [bubulle] debian/get-iso-codes:
    - more safe use of iso_639.tab
  * [bubulle] debian/control:
    - Build-Depends on po-debconf (used explicitely in mktemplates.sarge)
  * [fenio-guest] debian/po/pl.po
    - Updated Polish translation

 -- Christian Perrier <bubulle@debian.org>  Sat,  3 Apr 2004 09:26:35 +0200

geneweb (4.09-20) unstable; urgency=medium

  * Chmod get-iso-codes and mktemplates.sarge before executing them
    Closes: #240750

 -- Christian Perrier <bubulle@debian.org>  Sat, 27 Mar 2004 09:15:21 +0100

geneweb (4.09-19) unstable; urgency=low

  * New upload with correct changelog

 -- Christian Perrier <bubulle@debian.org>  Fri, 26 Mar 2004 23:11:13 +0100

geneweb (4.09-18) unstable; urgency=low

  * Translations:
    - Updated Czech
    - Updated Portuguese. Closes: #239167
    - Added Hebrew. Thanks, Shlomi Loubaton
  * New scheme for language names translations
    - grabbed from the iso-codes package (Build-Depends on it)
    - Translations built on the fly
    - new files:
      - debian/languages
      - debian/templates.woody (old style templates for woody backports :
        untested)
    - several temporary files
      - debian/pobuild/* : merged translations (po/* + iso-codes)
      - debian/iso-codes/* : iso-codes translations, grabbed from iso-codes
      - debian/geneweb.templates.tmp : intermediate build file

 -- Christian Perrier <bubulle@debian.org>  Thu, 25 Mar 2004 22:29:10 +0100

geneweb (4.09-17) unstable; urgency=medium

  * Include the wrapper script forgotten previously. Closes: #227610
  * Replaced _DefaultChoice by _Default in master templates.
    The default language now depends on the current language again

 -- Christian Perrier <bubulle@debian.org>  Wed, 14 Jan 2004 07:04:12 +0100

geneweb (4.09-16) unstable; urgency=low

  * Changed the init script : it now calls a wrapper script for starting the
    daemon. Thus, the umask may be set before launching gwd. Closes: #219779
  * Corrected UTF-8 errors in changelog
  * Changed the "daemon" choice in debconf templates to "always on" which
    will lower the jargon use. Closes: #218882
  * Rewrote the long Description: field for this template
  * Corrected the comments in the default /etc/default/geneweb file
    as the settings may now be changed manually
  * Prospectively added dh_buildinfo to debian/rules. New Build-Depends on
    dh-buildinfo
  * Updated debconf translations : ca da de es fr it nl pt_BR

 -- Christian Perrier <bubulle@debian.org>  Fri,  9 Jan 2004 13:38:21 +0100

geneweb (4.09-15) unstable; urgency=low

  * The "debconf templates second polishing" release
  * Make debconf templates conform to "Debconf templates Style Guide"
  * Corrected code for bulgarian language in templates. Closes: #218883.
  * Added note about permissions in README.Debian
  * Removed LISEZMOI.txt from the doc directory

 -- Christian Perrier <bubulle@debian.org>  Tue, 11 Nov 2003 08:31:27 +0100

geneweb (4.09-14) unstable; urgency=high

  * The "last minute translations" release
  * Dutch translation of debconf templates. Thanks, Bart Cornelis
    and dutch team
  * This release should also go through the autobuilders after Denis
    fixed po-debconf. Hence the high urgency as -13 couldn't be built on all
    archs.

 -- Christian Perrier <bubulle@debian.org>  Wed,  8 Oct 2003 18:09:05 +0200

geneweb (4.09-13) unstable; urgency=high

  * The "ocaml 3.07 is out" release. Urgency=high, because geneweb
    does not currently build from sources (no RC bug reported yet as
    this upload is supposed to fix this).
  * Upstream source code patched for compiling with ocaml 3.07
    Source assumed some type changes supposed to occur in 3.07 which finally
    did not happen
  * Be friendly to backporters : the po-debconf stuff is hidden for
    woody builds and a woody-compatible templates file is generated by
    the first sid build. Hints from Colin Watson, see debian/rules for
    appropriate pointer to the method (stolen to openssh package)
  * Consequence of above : debian/geneweb.templates renamed to
    debian/geneweb.templates.master
  * Cleaned up useless before-4.09-9 and after-4.09-9 dirs. Thou shall save
    bytes on Debian hosts...
  * More clean test for user/group existence in postinst.
    Stolen to amavisd-new package..:)
  * Polish translation of debconf templates. Thanks, Bartosz Zapalowski.
    Closes: #212846
  * Be more precise about the lower limit for port number the user may
    enter, in templates. Thanks, Vincent Zweije, for pointing it.

 -- Christian Perrier <bubulle@debian.org>  Sat,  4 Oct 2003 09:57:38 +0200

geneweb (4.09-12) unstable; urgency=low

  * The "We should have Geneweb in menus" release
  * Updated to Standards: 3.6.1
  * Added a menu entry (only work if the default port for gwd is not
    changed.....how could I get this from /etc/default/geneweb?)
  * Created an 32x32 icon from gwlogo.gif. It will be used in menus
  * Now Suggests www-browser

 -- Christian Perrier <bubulle@debian.org>  Thu, 21 Aug 2003 18:13:44 +0200

geneweb (4.09-11) unstable; urgency=low

  * Portuguese debconf templates translation. Thanks 
    to Bruno Rodrigues <bruno.rodrigues@litux.org>.
  * Spelling erros corrected in Brazilian portuguese debconf templates.
    Thanks again to Bruno.
  * Fixed spelling error in gwtp package description. Closes: #124715.

 -- Christian Perrier <bubulle@debian.org>  Thu, 26 Jun 2003 16:12:58 +0200

geneweb (4.09-10) unstable; urgency=low

  * The "be kind to users" release : avoid too many debconf questions
  * Lowered priority of debconf questions about port, run mode and
    remove_databases
  * Provide a default value to the "remove_databases" debconf setting
  * Updated to Standards: 3.5.10.0 (no change)
  * Added a note in README.Debian about *.update.gw files. Closes: #193371
  * Man pages completed (SEE ALSO, DOCUMENTATION, note about dump file
    restauration in gwc(1)
  * Debconf screens now have a more explicit title (use of db_title)

 -- Christian Perrier <bubulle@debian.org>  Tue, 27 May 2003 14:21:49 +0200

geneweb (4.09-9) unstable; urgency=low

  * Modify config and postinst files so that admin-modified settings
    in /etc/default/geneweb are not overwritten by debconf while
    configuring or upgrading.
  * Split up all languages in geneweb/lang template to make translators
    work easier when I add new languages (see __Choices in po-debconf(7))
  * postinst : more accurate test of the existence of geneweg group and user
  * postinst : avoid launching chmod/chown too many times

 -- Christian Perrier <bubulle@debian.org>  Thu, 24 Apr 2003 07:33:58 +0200

geneweb (4.09-8) unstable; urgency=low

  * Italian templates updates. Thanks Marco

 -- Christian Perrier <bubulle@debian.org>  Fri,  4 Apr 2003 16:54:33 +0200

geneweb (4.09-7) unstable; urgency=low

  * The "OK, it's time to prepare sarge freeze" release
  * Removed the /usr/doc link creation for gwtp. Thanks lintian.
  * Minor typo corrections in french templates
  * Added lintian override for select-with-translated-default-field
    warnings which are wrong, according to Denis Barbier (see bug #139765)
  * Added lintian override for
    extra-license-file usr/share/doc/geneweb/doc/LICENSE.htm
    (this file is needed as it is linked by Geneweb documentation)
  * Removed build dependency on po-debconf after confirmation by Denis
    Barbier that it is not mandatory (will help autobuilders, I guess)
  * Original english templates corrected. Thanks to Hamish Moffatt and
    Colin Walters.
  * German templates updated. Thanks, Joerg.
  * Brasilian portuguese templates updated. Thanks, Andre Luis.
  * Spanish templates updated. Thanks, Carlos.
  * Danish templates updated. Thanks, Morten Bo.
  * Catalan templates updated. Thanks, Jordi.
  * Corrected Suggests to httpd virtual package instead of
    incorrect "www-server". Thanks Debian Developer's Packages Overview.
  * Removed suggestion for ocaml
  * Updated to Standards: 3.5.9.0

 -- Christian Perrier <bubulle@debian.org>  Thu,  3 Apr 2003 14:36:44 +0200

geneweb (4.09-6) unstable; urgency=high

  * Create fake genewebrc file in prerm stage. This will allow upgrade
    from earlier versions which used ". /etc/geneweb/genewebrc" in
    /etc/init.d/geneweb without correct error handling. Should prevent
    horror stories for testing users.

 -- Christian Perrier <bubulle@debian.org>  Mon, 10 Mar 2003 19:17:54 +0100

geneweb (4.09-5) unstable; urgency=low

  * /etc/geneweb/images symlink creation removed from postinst script.
    Closes: 180244
  * Catalan templates updated

 -- Christian Perrier <bubulle@debian.org>  Mon, 10 Feb 2003 19:37:07 +0100

geneweb (4.09-4) unstable; urgency=low

  * Force database directories in /var/lib/geneweb and images directories
    in /var/lib/geneweb/images to be group-writable by geneweb group. 
    Needed now as the daemon runs unprivileged. Closes: 179918

 -- Christian Perrier <bubulle@debian.org>  Wed,  5 Feb 2003 18:32:33 +0100

geneweb (4.09-3) unstable; urgency=low

  * The "OK, stop running as root" release
  * Spanish templates update
  * Main daemon now runs as geneweb
  * Postinst script now creates geneweb user, member of group
    geneweb. Postrm script removes it when purging.
  * Removed useless PIDFILE variable in init script
  * Logrotate script modified for proper owner of the log file
  * Log file permissions now 0600 geneweb.geneweb
  * Modify permissions on cnt files so that the daemon
    may update them properly
  * Debconf templates italian translation. Thanks Marco Bodrato.
  * Updated REAME.Debian
  * Brazilian portuguese debconf template translation added.
    Thanks to Andre Luis Lopes. Closes: 179367
  * Depends on debconf >1.2.9 (suggested by lintian...I still have to
    understand why)

 -- Christian Perrier <bubulle@debian.org>  Sun,  2 Feb 2003 19:34:53 +0100

geneweb (4.09-2) unstable; urgency=low

  * Priority of the lang debconf template lowered to medium
  * New debconf template for configuring gwd port. Closes: 175731
  * New debconf template for choosing whether gwd should be
    launched at startup. Thanks to the samba package developers for
    stolen ideas..:-)
  * Debconf questions about port/remove databases are asked
    only when running in daemon mode
  * Removed the "The port is XXXX using lang=yy" display after configure
  * Corrected the bug in configure step when registering documentation.
    Defaults to use english documentation when either geneweb
    default language is not defined or the documentation is not
    translated in this language.
  * Removed "registering documentation" display during configure
  * Corrected the section for doc-base to Apps/Tools
  * Removed the redundant call to install-docs in prerm script
  * Removed the redundant DEBHELPER sections in prerm script
  * Removed the useless call to /etc/init.d/geneweb in prerm script
  * More careful source of RCFILE in prerm script
  * Less verbose gwu exports in prerm script
  * No more /usr/doc/geneweb symlink creation. Old symlink is deleted.
  * Removed the OLD and oldies useless directories in debian for
    the source package

 -- Christian Perrier <bubulle@debian.org>  Wed,  8 Jan 2003 18:12:21 +0100

geneweb (4.09-1) unstable; urgency=high

  * New upstream release. Security fix.
  * No more lang and etc files in /etc. These files are moved in
    /usr/share/geneweb. These standard files should not be modified
    by the system administrator. Files dedicated for each database may be used
    instead.
  * Removed symlink from /usr/share/geneweb/images to /etc/geneweb/images
  * Changed init script (-hd /usr/share/geneweb) accordingly
  * Conffiles list updated accordingly
  * New finnish debconf templates. Thanks to Esa Turtiainen.
  * Correction to french template for latvian language.

 -- Christian Perrier <bubulle@debian.org>  Fri,  3 Jan 2003 10:39:12 +0100

geneweb (4.08-4) unstable; urgency=low

  * Modified .config file again so that the OLDRCFILE/NEWRCFILE move
    will always be done, not only when /var/geneweb is there.
  * Modified the test for the contents of the old /var/geenweb
    directory. When this directory is empty, it should now be
    removed.

 -- Christian Perrier <bubulle@debian.org>  Sat, 21 Dec 2002 11:38:54 +0100

geneweb (4.08-3) unstable; urgency=medium

  * Completed ca.po file. Thanks to Jordi Mallach.
  * Completed da.po file. Thanks to Morten Bo Johansen.
  * Defined OLDRCFILE and NEWRCFILE in geneweb.config. Thanks to Vegard
    Engen for pointing this out first. Closes: 173790

 -- Christian Perrier <bubulle@debian.org>  Fri, 20 Dec 2002 15:20:26 +0100

geneweb (4.08-2) unstable; urgency=low

  * Moved to po-debconf for templates translations. Updated Build-Depends
    accordingly.

 -- Christian Perrier <bubulle@debian.org>  Sun, 15 Dec 2002 11:19:01 +0100

geneweb (4.08-1) unstable; urgency=low

  * New upstream release
  * Now use official manpages for ged2gwb, gwb2ged, gwc, gwu
  * Added romanian and bulgarian languages to the default language
    choice template as these languages are now supported in 4.08.
    Translated templates temporarily use the english name for these
    languages.

 -- Christian Perrier <bubulle@debian.org>  Fri, 13 Dec 2002 10:38:09 +0100

geneweb (4.07-4) unstable; urgency=low

  * Updated to Standards: 3.5.8.0
  * Use /etc/default/geneweb instead of /etc/geneweb/genewebrc for
    PORT and LANG setup. Policy 10.3.2. Conffiles list updated
    accordingly. Prerm script also.
  * Cosmetic changes to init script output. Policy 10.4
  * Correction to logrotate entry : the option "reload" does not
    exist in the init script. Use "force-reload" instead.
  * Try to remove log files when purging. Policy 11.8
  * Move the check of /var/lib/geneweb permissions and owner
    back to the configure stage. (Closes: #171570). I cannot
    really deal with users messing up with permissions to that point.

 -- Christian Perrier <bubulle@debian.org>  Tue, 26 Nov 2002 08:32:16 +0100

geneweb (4.07-3) unstable; urgency=low

  * German translation for remove_databases template.
    Thanks to Joerg Rieger again.
  * Spanish translation for remove_databases template.
    Thanks to Carlos again.
  * Danish translation of templates. Thanks to Morten Bo Johansen.
  * Better man pages for gwc, gwu, ged2gwb, gwb2ged
  * Removed install-docs call in postinst as it is already
    managed by dh_installdocs
  * Always check /var/lib/geneweb and its subdirectories
    permissions (Closes: #149316)
  * Remove /var/log/geneweb empty file from previous postinst
    scripts and create /var/log/geneweb.log properly

 -- Christian Perrier <bubulle@debian.org>  Fri, 25 Oct 2002 11:52:13 +0200

geneweb (4.07-2) unstable; urgency=low

  * Remove /etc/geneweb/* after purge. (Closes: #162078)
  * Added a debconf option for removing databases after purge
    (thanks to Jérôme Marant <jmarant@nerim.net> for ideas and suggestions)
  * Removed useless call to obsolete suidunregister in postrm
  * Cleaning in debian/rules. Better use of "-a" and "-i" flags
    of debhelper apps.
  * dh_clean -k called properly before building

 -- Christian Perrier <bubulle@debian.org>  Fri, 27 Sep 2002 20:19:51 +0200

geneweb (4.07-1) unstable; urgency=low

  * New upstream release
  * In prerm script, we now use numerical UIDs and GIDs when getting
    database ownership data in order to set the proper permissions
    on exported files (Closes: #155451)
  * Added /usr/doc->/usr/share/doc transition statements in prerm and
    postinst just to make lintian happy..:-)

 -- Christian Perrier <Christian.Perrier@onera.fr>  Fri, 23 Aug 2002 09:49:19 +0200

geneweb (4.06-2) unstable; urgency=low

  * Fixed init script so that log file has the correct name (Closes: #146748)
  * Modified README.Debian, gwc.1 and ged2gwb.1 for more accurately warning 
    users about the correct location of databases (Closes: #146747)

 -- Christian Perrier <bubulle@debian.org>  Mon, 13 May 2002 09:41:38 +0200

geneweb (4.06-1) unstable; urgency=low

  * New upstream release. Should prevent problems with images
    and documentation links for the CGI version (no opened bug yet for
    the Debian package as it defaults to use the daemon version).    

 -- Christian Perrier <bubulle@debian.org>  Mon, 11 Mar 2002 08:12:26 +0100

geneweb (4.05-3) unstable; urgency=low

  * Modified debconf templates so that default choice for lang is the
    default language. Thanks Denis Barbier for the suggestion.

 -- Christian Perrier <bubulle@debian.org>  Mon,  4 Mar 2002 08:54:01 +0100

geneweb (4.05-2) unstable; urgency=low

  * Silly mistake corrected in debian/rules (dh_installlogrotate
    called twice and making potato backports fail)
  * Call either dh_installman or dh_installmanpages, depending
    on the build platform (potato or woody)

 -- Christian Perrier <bubulle@debian.org>  Fri,  1 Mar 2002 10:10:47 +0100

geneweb (4.05-1) unstable; urgency=low

  * New upstream version
  * Conffiles for gwtp changed to follow the new scheme for translations
    introduced in 4.05 (everything in one file)
  * Tests on dh_installexamples and dh_installlogrotate so that
    potato backports do not require modification of the debian/rules
    file (thanks to Eloy Paris, samba package maintainer, for the idea)

 -- Christian Perrier <bubulle@debian.org>  Fri,  1 Mar 2002 09:16:32 +0100

geneweb (4.04-4) unstable; urgency=low

  * Use the appropriate way to handle translation of debconf 
    templates after reading http://www.debian.org/intl/l10n/templates/hints
    as suggested in debian-devel-french.

 -- Christian Perrier <bubulle@debian.org>  Thu, 28 Feb 2002 17:56:07 +0100

geneweb (4.04-3) unstable; urgency=low

  * Stupid Closes statement in former release, which didn't properly
    close the bug! (Closes: #131238)

 -- Christian Perrier <bubulle@debian.org>  Thu, 28 Feb 2002 16:17:11 +0100

geneweb (4.04-2) unstable; urgency=low

  * Build dependency on ocaml-best-compilers. (Closes: #115150)

 -- Christian Perrier <bubulle@debian.org>  Tue, 29 Jan 2002 15:07:55 +0100

geneweb (4.04-1) unstable; urgency=low

  * New upstream release
  * Removed the need for camlp4 (which is part of ocaml now)
  * Build Dependency on ocaml >=3.04
  * /etc/logrotate.d/* marked as conffiles (thanks lintian!)
  * /usr/lib/cgi-bin/gwtp/gwtp.cgi marked as executable (thanks
    lintian again!)

 -- Christian Perrier <bubulle@debian.org>  Wed,  9 Jan 2002 12:04:37 +0100

geneweb (4.03-5) unstable; urgency=low

  * use $SERVER_NAME in gwtp.cgi
  * gwtp : changed group owning gwtp.log from www-data to geneweb.
    Prevents other CGI scripts reading passwd and log files

 -- Christian Perrier <bubulle@debian.org>  Fri, 14 Sep 2001 10:58:31 +0200

geneweb (4.03-4) unstable; urgency=low

  * Correct use of variables in gwtp.cgi script

 -- Christian Perrier <bubulle@debian.org>  Tue, 11 Sep 2001 11:04:55 +0200

geneweb (4.03-3) unstable; urgency=low

  * Cleaned out the translated Description fields after reading
    debian-devel threads about this

 -- Christian Perrier <bubulle@debian.org>  Mon, 10 Sep 2001 14:41:30 +0200

geneweb (4.03-2) unstable; urgency=low

  * Split package by moving gwtp-related files to the gwtp package
    This adds lots of gwtp-related stuff
  * gwtp sources patched for allowing more granularity in files location
    so that it respects FHS
  * Remove cron.daily script. Use logrotate instead for log rotation.
    This removes the need for the cron.conf configuration file.
  * Added move of the contents of /var/geneweb/etc and /var/geneweb/images
    when dealing with old packages installations
  * Move all files under cnt when dealing with old packages installations
  * Added a french and a german translation of package Description

 -- Christian Perrier <bubulle@debian.org>  Wed,  5 Sep 2001 14:50:23 +0200

geneweb (4.03-1) unstable; urgency=low

  * New upstream release
  * Moved several "doc" and examples files from /usr/lib/geneweb to
    /usr/share/doc/geneweb : CHANGES.TXT, LISEZMOI.txt, README.txt,
    a.gwf, etc directory, only.txt file
  * /usr/lib/geneweb/lang moved to /etc/geneweb as files there may
    be setup by local sysadmins.
  * Added a /etc/geneweb/etc directory where system-wide
    custom templates will be read. This directory *has* to be named
    etc, sorry.
  * several variables for the location of files moved back from
    /etc/geneweb/genewebrc to /etc/init.d/geneweb. These variables
    should not be changed by users otherwise it would break
    the daemon
  * Simplified the cron.daily script. Group owning logs is hardcoded to
    geneweb because having something else woudl break logging.
    /etc/geneweb/cron.conf is thus a lot simplified.
  * Corrected doc-base entry after reading documentation of
    doc-base..:-)
  * debian/rules files is a bit better documented
  * Moving gwtp files to better places. gwtp still doesn't work
  * Updated README.Debian, removing non-Debian informations and
    explaining why gwtp does not work yet. Try to explain the mechanisms
    used by the package for system-wide/database-wide customisations.
  * Images are now in /usr/share/geneweb/images with an horrible link
    from /etc/geneweb/images..:-(
  * When removing package, properly remove files created in 
    /usr/share/doc/geneweb by the "registering documentation for $LANG" 
    function of the daemon when it starts

 -- Christian Perrier <bubulle@debian.org>  Thu, 30 Aug 2001 09:14:21 +0200

geneweb (4.02-1) unstable; urgency=low

  * New upstream release

 -- Christian Perrier <bubulle@debian.org>  Tue, 28 Aug 2001 16:14:28 +0200

geneweb (4.01-6) unstable; urgency=low

  * Added chown root.geneweb for logfile in postinst so that upgrade from 
    systems where permissions are incorrect will not prevent geneweb from 
    working.

 -- Christian Perrier <bubulle@debian.org>  Mon, 27 Aug 2001 15:39:17 +0200

geneweb (4.01-5) unstable; urgency=low

  * Completed default /etc/geneweb/cron.conf so that chown/chgrp of logfiles
    may work in cron.daily script
  * Translated the remainingdir template into spanish and german.
    Thanks to Carlos Valdivia Yagüe and Joerg Rieger for help.
    Also added a Choices-de entry to the lang template
  * Modified config script for working properly when there is no old
    /var/geneweb directory

 -- Christian Perrier <bubulle@debian.org>  Mon, 27 Aug 2001 15:39:07 +0200

geneweb (4.01-4) unstable; urgency=low

  * Definitive update of maintainer information
  * non FHS-compliant /var/geneweb dropped out in favour of
    /var/lib/geneweb. Sorry for messing up with this. Hope I don't mess up
    something else..:-)
  * renamed postinst, prerm, postrm to geneweb.postinst and so on
  * same for init, cron.daily
  * updated README.Debian
  * cosmetic changes to templates file
  * Incorporated Carlos Valdivia Yagüe's spanish templates for
    default language choice (Closes:Bug#103200)

 -- Christian Perrier <bubulle@debian.org>  Wed, 22 Aug 2001 14:47:15 +0200

geneweb (4.01-3) unstable; urgency=low

  * Fold in changes from Christian's unofficial package.
  * Add dependency on adduser package/proper build-depends/geneweb group.
  * Change maintainer information

 -- Christian Perrier <perrier@onera.fr>  Tue, 19 Jun 2001 21:30:21 +0200

geneweb (4.01-2) unstable; urgency=low

  * Ugh!  Finally incorporated Joerg Rieger's helpful German template
    file.  Sorry this took so long.  (Closes:Bug#84262)
  * I'm closing this bug because it was caused by a mismatch between
    the version of Objective Caml and Camlp4.  (Closes:Bug#84548)
  * I removed the "FR" postfixes, changing to "fr".  I believe this
    corrects this bug, but please contact me via e-mail if it does
    not.  (Closes:Bug#95172)
  * For fun, added doc-base support.

 -- Brent A. Fulgham <bfulgham@debian.org>  Wed, 30 May 2001 20:44:10 -0700

geneweb (4.01-1) unstable; urgency=low

  * New upstream version.

 -- Brent A. Fulgham <bfulgham@debian.org>  Fri, 13 Apr 2001 16:38:57 -0700

geneweb (4.00-3) unstable; urgency=low

  * A couple of minor dependency updates to prevent build failures on
    build machines.

 -- Brent A. Fulgham <bfulgham@debian.org>  Sat,  7 Apr 2001 19:58:57 -0700

geneweb (4.00-2) unstable; urgency=low

  * Correction to allow building on platforms without the optimizing compiler.
    (Closes:Bug#91862)
  * Updates for Polish and Catalan.

 -- Brent A. Fulgham <bfulgham@debian.org>  Fri,  6 Apr 2001 19:11:32 -0700

geneweb (4.00-1) unstable; urgency=low

  * New upstream release.  See changelog for details. 

 -- Brent A. Fulgham <bfulgham@debian.org>  Tue, 13 Mar 2001 18:35:50 -0800

geneweb (3.11-3) unstable; urgency=low

  * Remove some bashisms from the various scripts.(Closes:Bug#88005)
  * Rearrange directory creation to insure group is always present before
    directory is built.(Closes:Bug#88229)
  * Various lintian fixes.
  * Correct a few more debconf gotchas.

 -- Brent A. Fulgham <bfulgham@debian.org>  Sat,  3 Mar 2001 13:26:59 -0800

geneweb (3.11-2) unstable; urgency=low

  * Updated configuration scripts to pacify irate debconf author.
    (Closes:Bug#87356)

 -- Brent A. Fulgham <bfulgham@debian.org>  Sat, 24 Feb 2001 23:45:45 -0800

geneweb (3.11-1) unstable; urgency=low

  * New upstream release.  See changelog for details

 -- Brent A. Fulgham <bfulgham@debian.org>  Wed, 14 Feb 2001 19:55:23 -0800

geneweb (3.10-3) unstable; urgency=low

  * Merging with unofficial package from Geneweb ftp site
    (in preparation of new maintainer [Christian Perrier] takeing
    over responsibility).  Note that all of this work is from
    Christian.
  * Default database dir is now writable by members of geneweb group
  * New geneweb group added at installation
  * Package tries to properly handle former installations of the
    unofficial Geneweb package available on Geneweb ftp site
  * Debconf dialogs translated in french
  * More languages available
  * Creation of /var/geneweb/etc, /var/geneweb/cnt, /var/geneweb/images
    with proper permission so that authorised users may use these also
  * When de-installed, all databases are exported with gwu (should allow
    smooth upgrades when the databse format changes)

 -- Brent A. Fulgham <bfulgham@debian.org>  Mon, 22 Jan 2001 19:30:47 -0800

geneweb (3.10-2) unstable; urgency=low

  * Update to use debconf.

 -- Brent A. Fulgham <bfulgham@debian.org>  Mon,  8 Jan 2001 20:06:39 -0800

geneweb (3.10-1) unstable; urgency=low

  * New upstream version .
  * Correct incorrect path.(Closes:Bug#69490)

 -- Brent A. Fulgham <bfulgham@debian.org>  Thu, 28 Dec 2000 17:51:04 -0800

geneweb (3.08-1) unstable; urgency=low

  * New upstream version....

 -- Brent A. Fulgham <bfulgham@debian.org>  Mon, 30 Oct 2000 21:04:38 -0800

geneweb (3.06-2) unstable; urgency=low

  * Correct some improper configuration issues with the initial install.
  * Provide a configuration file in /etc/genewebrc so you can make changes
    to locations a bit more easily.(Closes: Bug#71164)

 -- Brent A. Fulgham <bfulgham@debian.org>  Mon, 30 Oct 2000 20:27:12 -0800

geneweb (3.06-1) unstable; urgency=low

  * Initial Release. 

 -- Brent A. Fulgham <bfulgham@debian.org>  Sat, 22 Jul 2000 19:49:02 -0700

geneweb (3.10-2) unstable; urgency=low

  * Update to use debconf.

 -- Brent A. Fulgham <bfulgham@debian.org>  Mon,  8 Jan 2001 20:06:39 -0800

geneweb (3.10-1) unstable; urgency=low

  * New upstream version .
  * Correct incorrect path.(Closes:Bug#69490)

 -- Brent A. Fulgham <bfulgham@debian.org>  Thu, 28 Dec 2000 17:51:04 -0800

geneweb (3.08-1) unstable; urgency=low

  * New upstream version....

 -- Brent A. Fulgham <bfulgham@debian.org>  Mon, 30 Oct 2000 21:04:38 -0800

geneweb (3.06-2) unstable; urgency=low

  * Correct some improper configuration issues with the initial install.
  * Provide a configuration file in /etc/genewebrc so you can make changes
    to locations a bit more easily.(Closes:Bug#71164)

 -- Brent A. Fulgham <bfulgham@debian.org>  Mon, 30 Oct 2000 20:27:12 -0800

geneweb (3.06-1) unstable; urgency=low

  * Initial Release. 

 -- Brent A. Fulgham <bfulgham@debian.org>  Sat, 22 Jul 2000 19:49:02 -0700
